Wubi/Karmic boot: kernel panic - not synching: VFS

Bug #477169 reported by Gergely Imreh on 2009-11-07
276
This bug affects 62 people
Affects Status Importance Assigned to Milestone
Wubi
Undecided
Sriram
Nominated for 8.04 by Brianubuntu
Nominated for 8.10 by Brianubuntu
Nominated for 9.04 by Brianubuntu
Nominated for Trunk by Brianubuntu
lupin (Ubuntu)
Undecided
Colin Watson
Karmic
Undecided
Unassigned

Bug Description

I was using Karmic, installed with Wubi. For a week it worked like a charm, and I updated it with the latest fixes.
Since about 3 days ago every boot fails with kernel panic

Going without the "--quiet" option, the message is:

No filesystem could be mounted, tried: ext3 ext2 ext4 fuseblk
Kernel-panic - not syncing : VFS : Unable to mount root fs on unknown-block(0,6)

Eg. the grub entry for for the standard boot reads:
insmod ntfs
set root=(hd0,6)
search --no-floppy --fs-uid --set a2a40b74a40b4a6d
loopback loop0 /ubunu/disks/root.disk
set root=(loop0)
linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda6 loop=/ubuntu/disks/root.disk ro quiet splash
initrd /boot/initrd.img-2.6.31-14-generic

My /ubuntu directory is on (hd0,6). If I use the grub command line, I can:
- see the contents of the drive
- mount the root.disk as a loopback device and see its contents
- can find the files referenced in the menu.lst

Any ideas how to make it work again?
I had a previous install of Wubi/Karmic-rc, upgraded in place that had some kernel panics too after a few weeks of usage, but I just reinstalled it so not sure if it had the same issue.

ZliS (zlis) wrote :

I have this bug too, tried to reinstall, but after full update it caused again...
Affected 2 computers...

Agostino Russo (ago) wrote :

Can you manually mount sda6?
It could be that the ntfs partition is corrupted, boot into windows, run `chkdsk /r` within the drive where you installed wubi, check that C:\ubuntu\disks\root.disk is still there, and try to reboot into Ubuntu.

2009/11/9 Agostino Russo <email address hidden>:
> Can you manually mount sda6?
> It could be that the ntfs partition is corrupted, boot into windows, run `chkdsk /r` within the drive where you installed wubi, check that C:\ubuntu\disks\root.disk is still there, and try to reboot into Ubuntu.

The ntfs partition seems to be completely fine, windows works without a hitch.
In grub console I can do all the steps that are in the grub.cfg:
loopdevice, linux, initrd... (and it finds the files just fine, I can
see the contents of the whole drive in the the grub console with "ls
/"). But then boot fails.

Shouldn't there be ntfs listed in the "tried:" section?

Agostino Russo (ago) wrote :

Is this a grub error or a linux one? I understood it was the latter.
To be more precise I understood that from grub, without any change, you are able to load the Linux kernel and initrd, but the initrd scripts cannot locate the root device.

So I would expect you to end up in a busybox shell within linux (not grub).
In there can you try to mount the windows partition?

ZliS (zlis) wrote :

Can i ask a question, do you have a 64-bit architecture too?

Dave Morley (davmor2) wrote :

Running a 64 bit test now although I have a feeling that this could be the recent updates to grub but will check once installed

ZliS (zlis) wrote :

I used x86-64 on both computers, besides I see that few users have this problem (and i think the most of wubi users use x86).

Sorry for mistakes, i know Russian better=)

Dave Morley (davmor2) wrote :

Meh No issues here everything is running fine sorry :(

Gergely Imreh (imrehg) wrote :

I'm using i386 image (an older AMD)

>Is this a grub error or a linux one? I understood it was the latter.
> To be more precise I understood that from grub, without any change, you are able to load the Linux kernel and initrd, but the initrd scripts cannot locate the root device.

the "linux" and "initrd" commands work, I can load the files (and it returns with the values that it succeeds). But when the "boot" runs, finds sda6 (the one it supposed to), but throws a "kernel panic".....

Using a new install, separate directory, same wubi type of loopback device mount, exactly the same commands the bootup just works...

> So I would expect you to end up in a busybox shell within linux (not grub).
> In there can you try to mount the windows partition?

That's not the case at all...
the gnu grub 1.97~beta4 that is installed by ubuntu can give me a shell, with a prompt like
sh:grub>

This shell, however don't have the "mount" option at all... I can set the root of the system I'm checking (with "set root=(device)"), so I can find the files on the windows partitions as well as on the /ubuntu/disks/root.disk loopback device....

Anything else that I can check?

Agostino Russo (ago) wrote :

Gergely, I am well aware that grub has a built in shell you can always use, but what is relevant is what shell you end up into once you have your error.

If after the error you end up in a grub shell it means it is a grub issue. If you end up in a busybox shell it means it is a filesystem/initrd issue. Because the error you mentioned is about a kernel panic, I would expect a filesystem/initrd issue.

If so, you should be able to reproduce the error within the LINUX busybox shell, by issuing the same commands that made the initrd fail (basically try to mount the ntfs partition). Those commands happen to be similar to the ones you mentioned for the grub shell, but they are actually performed by the Linux kernel within a Linux environments, as opposed to being performed by grub.

Gergely Imreh (imrehg) wrote :

2009/11/9 Agostino Russo <email address hidden>:
> Gergely, I am well aware that grub has a built in shell you can always
> use, but what is relevant is what shell you end up into once you have
> your error.

Since it is a kernel panic, there is no shell at all....
As much as I can see the log (the screen does not scroll), it finds
the relevant partitions, and gives the above message, blinks the
scroll-lock and caps-lock lights on the keyboard indefinitely, and
nothing more.... Next: hard reboot.

> If after the error you end up in a grub shell it means it is a grub
> issue. If you end up in a busybox shell it means it is a
> filesystem/initrd issue. Because the error you mentioned is about a
> kernel panic, I would expect a filesystem/initrd issue.

It is not in a grub shell and not in busybox either. Running the boot
scripts then kernel panic. Nothing interactive about it.

> If so, you should be able to reproduce the error within the LINUX
> busybox shell, by issuing the same commands that made the initrd fail
> (basically try to mount the ntfs partition).

The problem is that no partitions are mounted, or I'm misunderstanding
the above error message?
If it would mount the ntfs volume, then it can do the loop device,
then it can do the whole process. But it kernel panics, because it
cannot mount, because it does not try ntfs, just: ext2, ext3, ext4,
fuseblk.....

> Those commands happen to be
> similar to the ones you mentioned for the grub shell, but they are
> actually performed by the Linux kernel within a Linux environments, as
> opposed to being performed by grub.

Not sure what you mean, because I don't even get a workable system to
start with.... Hard frozen every time.

Agostino Russo (ago) wrote :

The fact that it is frozen is relevant information.
I will check later on, but I do not think that the inability to mount the root file system will freeze the system.

Kech (kech) wrote :

I have the same problem with Wubi after update 9.10

gissi (zerinol) wrote :

Installed with wubi 9.10 and all semms to work fine. After an upgrade (apt-get upgrade) impossible to boot: kernel panic.... Need a rapido solution I cannot install once a day!

Agostino Russo (ago) wrote :

gissi, kech, does the system completely freeze AFTER the linux kernel is loaded?

Kech (kech) wrote :

Agostino Russo, YES! You can see my small video http://file.qip.ru/file/107310806/60bb36d6/MOV00820.html

Alexis Gaitan (alexistkd) wrote :

Same here Kernal panic not syncing VFS unable to mount root fs on unknown-block(8,2) Running windows 7 with wubi ubuntu 9.10 please someone have an solution for this? i dont want to reinstall i will lost everything :(

Thanks in advance.

Gergely Imreh (imrehg) wrote :

Agostino: okay, my bad, I assumed that all kernel panics are complete freezes. Yes, it works the very same way as on the video (booting the "recovery" version gives some more information), as I said in the original submission:
* kernel loaded well
* initrd loaded well
* boot started
* found correct partitions
* could not load root partition -> kernel panic -> freeze

Agostino Russo (ago) wrote :

Did you try to run chckdsk /r from windows?

Kech (kech) wrote :
Agostino Russo (ago) wrote :

Kech there is a call trace in there, but I cannot read it from the video, can you post it here please?

-S3B4- (jdlr07) wrote :

I have the same problem. I'm running Ubuntu 9.10 whit Wubi on Windows 7 system. This problem appeares after my Ubuntu updated past monday (09/11). It's the same problem that was shown on the video you posted!

I'm afraid I'm gonna loose all my data and I will have to resign and install Ubuntu 9.10 on a clean partition (not whith Wubi...)

ZliS (zlis) wrote :

I installed x86 and now all work fine. This problem only on 64-bit wubi systems.

-S3B4- (jdlr07) wrote :

I'm afraid not. I have installed an x86 distribution and the problem is also here

ZliS (zlis) wrote :

Hmm, i have interesting situation. I reinstalled ubuntu x86, updated to newest versions, it was working after restart... Then i installed additional repos (with ubuntu-tweak), added ubuntu-studio package, flashplayer, proprietary amd video drivers and have a kernel panic again.

Kech (kech) wrote :

Agostino Russo, i'l try. There the same video in best quality http://zalil.ru/upload/28191179

garik (garikgarik) wrote :

I have the same "kernel panic" unbootable Karma Koala (ubuntu-9.10-desktop-i386.iso) on windows XP computer with wubi.
Problemn is the same as on video above.
Thanks Igor
I have Installed recommended updates last night.

Gergely Imreh (imrehg) wrote :

Agostino: chkdsk /r on the partition does not make any difference.

ZliS: definitely not, both installs that broke for me this way were x86, I think it works for you now, because the problem package must been fixed in the meantime, so if you do a reinstall + update to the newest packages, then you don't have a problem.
The problem is to know what caused the kernel panic so not to repeat the same thing again later.

-S3B4-: if you can keep your root.disk file somewhere else, then you won't lose your data. When you reinstall things, there are easy ways to mount your root.disk in the working system so you can backup.

garik (garikgarik) wrote :

-S3B4 are you 100% sure?

ZliS (zlis) wrote :

Yes, i just tried to understand, what caused the problem: original packages or third-party.

garik (garikgarik) wrote :

does somebody need grubcnfg or initrd.img-2.6.31-14-generic or other files from boot folder?

garik (garikgarik) wrote :

I have read carefully wubiguide.

followed steps from chapter "How can I access my Wubi install and repair my install if it won't boot?"
ubuntu@ubuntu:~$ sudo fsck /win/ubuntu/disks/root.disk
fsck from util-linux-ng 2.16
e2fsck 1.41.9 (22-Aug-2009)
/win/ubuntu/disks/root.disk: recovering journal
/win/ubuntu/disks/root.disk: clean, 194774/1073152 files, 2092983/4286464 blocks

garik (garikgarik) wrote :

OK, so you guys are sure that saving root.disc will save data. But this root.disc is about 16.4 gb. Is it the only way to rescue data (pictures for example)?
Thanks

Gergely Imreh (imrehg) wrote :

2009/11/12 garik <email address hidden>:
> OK, so you guys are sure that saving root.disc will save data. But this root.disc is about 16.4 gb. Is it the only way to rescue data (pictures for example)?

You can boot from the Ubuntu CD, and mount your root.disk as a
loopback device, save all the data you want (on another partition or
USB ), then delete the root.disk...

The "How can I access my Wubi install and repair my install if it
won't boot?" you can also do by booting from the Ubuntu CD. I got to
try that method too, see what happens.

Agostino Russo (ago) wrote :

Kech I cannot see your last video. Can someone please boot in recovery mode and post the call trace?

garik (garikgarik) wrote :

Hi Agostino,
pls, if you provide me with how to, i'll be glad to post the call trace.
Thanks

garik (garikgarik) wrote :
garik (garikgarik) wrote :
garik (garikgarik) wrote :
Kech (kech) wrote :

Agostino Russo, say please how can i pause the booting to make screenshot.

llololl (laurent-chevreuil) wrote :

Hi,

I have exactly the same problem ("kernel panic" unbootable with Karmic Koala).
I have a dual boot with windows Vista (x86 computer) and I have Installed recommended updates last day...

Grub seems to work fine but I think that something has been broken in the linux partition (root.disk) during update !

I have 2 questions to help me analyse the problem on my system :
- which files are used in the load process by linux ?
- is it possible to view/edit files in the linux partition form any windows tool ?

Thanks for help.

-S3B4- (jdlr07) wrote :

Gergely Imreh > I'm 100% sure i've installed an x86 distribution using Wubi. So, you tell me to keep my root.disk and I will be able later to rescue my data. Can I do that running a LiveCD of Ubuntu? Can you tell me how is the best way to do that please? I guess I should copy my "root.disk" into a folder on a NTFS partition and then, mount using file explorer provided by Ubuntu LiveCD... but I'm not sure.

garik (garikgarik) wrote :

Hi Gergely i am sorry for offtop.
You have said there are easy ways to mount old root.disk to the new system.
I guess that i can't just replace new root.disk by old one?
pls would you provide me with relevant links.
Many thanks for help

garik (garikgarik) wrote :

To S3B4
You can use this topic to get data from your ubuntu. http://ubuntuforums.org/showthread.php?t=1000370

garik (garikgarik) wrote :

I still need advice. How to mount old root.disk in new system. From old system only root.disk left. How can i make old root.disk work in new system?
Thanks

-S3B4- (jdlr07) wrote :

Thanks (a lot). I hope this bug to be fixed in the next days...

jeet (kshome) wrote :

I am having the same problem,(Kernel panic -not syncing :VFS: Unable to mount root fs on unknow -block (8,5) ) and this is the 2nd time it has happened to me, first time I did a fresh install. I use wubi and have x86 windows XP.

jammanuser (jamman647) wrote :

Sorry Garik: In your PM, I missed the part about it being an old root.disk (or it didn't register, anyway).
Sounds like you probably already backed up your data too, and only want to use your old root.disk again.
Which root.disk is it that had the kernel error? If its the old one, then you definitely shouldn't replace the new with the old (at least not without backing up the new first), or its possible you'll need to reinstall with Wubi again.
If its the new one that's getting the error, then yeah, just go ahead, and replace it.

llololl (laurent-chevreuil) wrote :

Hello,

Refering to my previous post #41, I found a way to restart with all my data...

1. I have saved my root.disk file on a separate disk using windows.
2. I have reinstalled ubuntu.
3. I have updated ubuntu (but I have unchecked the 2 packages related with "grub" as I think that they may be the source of the reboot problem)
4. I have mounted my root.disk using this post http://ubuntuforums.org/showthread.php?t=1000370
NB : the command "sudo mount -o loop/win/ubuntu/disks/root.disk /vdisk" has to be entered with a "space" after loop
5. I have restored my data using copy/paste commands (including the "home" directory to recover applications parameters and data) !

I hope this post will help...

[marinero] (maukoquiroga) wrote :

Same problem here. I have to add that #grup-mkconfig doesn't update the /boot/grup/grub.cfg at all.

After updating today, I had a problem with Firefox, so i had to downgrade sources.list to jaunty and install Firefox again.

Then, after rebooting, I got the same Kernel Panic. I really can't figure out how to fix that.

Rebooting with a $linux Live CD is not an option for me, since I have not a CD Reader, otherway i had never used Wubi in the first time.

On the other hand, boot with a CD or USB (my bios doesn't load USB's neither) is just a workaround.

gissi (zerinol) wrote :

Sorry for the delay. Yesterday I had the same problem. Now I realized that the flie grub.cfg (or something like that) desappeared from its natural directory (c/ubuntu/disks/boot/grub). Hope this can help. This bug really sucks since ubuntu must be reinstalled.

Gergely Imreh (imrehg) wrote :

I think the duplicate status is wrong.

At a newer reinstall I experienced #477104 (which is minimal grub shell at boot) after a kernel update to 2.6.31-15, but I could recover from that.
The recovery method, however, does not work with this "version" of the bug (kernel panic).

Enran (enran21) wrote :

Same situation after update:

[1.314855] Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(8,2)

Installed by Wubi in Windows 7, in a machine Toshiba A205 (x86).

Now I go to reinstall and look what happen after update.

spesa (rlavanchy) wrote :

I installed ubuntu 9.10 1 week ago on my laptop using the windows installer Wubi.
It was a fresh installation (not an upgrade of a preexisting ubuntu system)
Everything went perfectly well.
I haven't changed any settings nor repository regarding software source lists or updates.
On tuesday 17 nov. I ran the update utility through the GUI to download and install updates. As far as I can remember, by default, in Ubuntu, default settings make that only security and recommended updates are downloaded.

Download and installation of updates went perfectly well. I normally shut down my laptop after that.

After that I didn't use my laptop until yesterday evening. At the boot screen, after selecting Ubuntu (the other entry is Windows Vista Home Basic), I ran into the kernel panic error message : Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(8,2)

xa2 (xa2diaz) wrote :

Same problem here... I'm ussing kubuntu-notebook and installed some packages yesterday (recommended automatically and I don't remember what packages) and after that I ran into kernel panic error :-(

flm (flmommens) wrote :

Same problem. Installed 9.10 using Wubi. Worked fine for 2 weeks until reboot.
If the missing c/ubuntu/disks/boot/grub/grub.cfg is the origin of the problem can anybody post a copy from a working install ?

figosound (figosound) wrote :

Same problem also here... Excuse me, people, but in, what, 10 days nobody was able to assign this BUG to someone with the appropriate level of importance?

If you ask me, importance should be set on high, because we are stuck with an useless installation after some minor updates (I mean, nobody was upgrading the kernel or something...).

9a3eedi (the-9a3eedi) wrote :

I can confirm this problem. It has happened to me twice, the first time I was thinking I didn't shut down properly or something after reading that ext4 had problems, but the second time happened too soon. So I'm sure this had to be a bug.

I know that I have no right to complain about something free, but this is pretty frustrating. Its been a couple of weeks since this bug was issued, and I'm sure a LOT of people are experiencing this bug. I think this bug should at least be considered legit and assigned a high priority.

until then, I think I'll reinstall ubuntu by partitioning this time.

brettdonahue (brettsan) wrote :

I am not sure if this will help, here is the grub.cfg from a working HP laptop. I have run all the updates that are available and the laptop is still running. I add for all, the laptop has nothing on it except Ubuntu, no windows at all:

#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by /usr/sbin/grub-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
if [ -s /boot/grub/grubenv ]; then
  have_grubenv=true
  load_env
fi
set default="0"
if [ ${prev_saved_entry} ]; then
  saved_entry=${prev_saved_entry}
  save_env saved_entry
  prev_saved_entry=
  save_env prev_saved_entry
fi
insmod ext2
set root=(hd0,1)
search --no-floppy --fs-uuid --set 5f432470-13fb-455a-a946-46f891ac29be
if loadfont /usr/share/grub/unicode.pf2 ; then
  set gfxmode=640x480
  insmod gfxterm
  insmod vbe
  if terminal_output gfxterm ; then true ; else
    # For backward compatibility with versions of terminal.mod that don't
    # understand terminal_output
    terminal gfxterm
  fi
fi
if [ ${recordfail} = 1 ]; then
  set timeout=-1
else
  set timeout=10
fi
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/05_debian_theme ###
set menu_color_normal=white/black
set menu_color_highlight=black/white
### END /etc/grub.d/05_debian_theme ###

### BEGIN /etc/grub.d/10_linux ###
menuentry "Ubuntu, Linux 2.6.31-14-generic" {
        recordfail=1
        if [ -n ${have_grubenv} ]; then save_env recordfail; fi
 set quiet=1
 insmod ext2
 set root=(hd0,1)
 search --no-floppy --fs-uuid --set 5f432470-13fb-455a-a946-46f891ac29be
 linux /boot/vmlinuz-2.6.31-14-generic root=UUID=5f432470-13fb-455a-a946-46f891ac29be ro quiet splash
 initrd /boot/initrd.img-2.6.31-14-generic
}
menuentry "Ubuntu, Linux 2.6.31-14-generic (recovery mode)" {
        recordfail=1
        if [ -n ${have_grubenv} ]; then save_env recordfail; fi
 insmod ext2
 set root=(hd0,1)
 search --no-floppy --fs-uuid --set 5f432470-13fb-455a-a946-46f891ac29be
 linux /boot/vmlinuz-2.6.31-14-generic root=UUID=5f432470-13fb-455a-a946-46f891ac29be ro single
 initrd /boot/initrd.img-2.6.31-14-generic
}
### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/20_memtest86+ ###
menuentry "Memory test (memtest86+)" {
 linux16 /boot/memtest86+.bin
}
menuentry "Memory test (memtest86+, serial console 115200)" {
 linux16 /boot/memtest86+.bin console=ttyS0,115200n8
}
### END /etc/grub.d/20_memtest86+ ###

### BEGIN /etc/grub.d/30_os-prober ###
if [ ${timeout} != -1 ]; then
  if keystatus; then
    if keystatus --shift; then
      set timeout=-1
    else
      set timeout=0
    fi
  else
    if sleep --interruptible 3 ; then
      set timeout=0
    fi
  fi
fi
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries. Simply type the
# menu entries you want to add after this comment. Be careful not to change
# the 'exec tail' line above.
### END /etc/grub.d/40_custom ###

brettdonahue (brettsan) wrote :

I just noticed in my post, the cut-n-paste messed up the comments section at the bottom. Please make sure if you are going to use the file that your bottom section has the hash/pound sign in the beginning of the lines. Sorry to all for the mistake.

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries. Simply type the
# menu entries you want to add after this comment. Be careful not to change
# the 'exec tail' line above.
### END /etc/grub.d/40_custom ###

Gergely Imreh (imrehg) wrote :

2009/11/21 brettdonahue <email address hidden>:
> I am not sure if this will help, here is the grub.cfg from a working HP
> laptop.  I have run all the updates that are available and the laptop is
> still running.  I add for all, the laptop has nothing on it except
> Ubuntu, no windows at all:
>

Hi,
Missing grub.cfg is not the problem. It is there inside the
/ubuntu/disks/root.disk, that's why the kernel is loaded alright, but
then it kernel cannot find the root directory - ensuring a kernel
panic.

Also, the problem is for WUBI installations, normal Ubuntu installs
(i.e. not sharing the computer with Windows) don't seem to be
affected.

Brianubuntu (britazou) wrote :

I'm new so I don't know how to assign anything or set a level of importance, but yes I was using Netbook remix and had the same problem on the same day/timeline (might be tuesday 17th) after sudo updates and upgrades. Now it just freezes at boot with the error message.
Any hope ?

Sriram (ultimatevikrant) on 2009-11-21
Changed in wubi:
assignee: nobody → Sriram (ultimatevikrant)
sudome (sudome) wrote :

It seems like it is the package "initscripts_2.87dsf-4ubuntu12_i386" that updates the initscripts and causes this problems for wubi-users (Thanks Sriram/ultimatevikrant..).

Btw in this thread: http://ubuntuforums.org/showthread.php?t=1317397
There is a fix involving using a boot-cd that works (page 4).

Enran (enran21) wrote :

Apparently is the actualization: "initscripts_2.87dsf-4ubuntu12_i386".

 I reinstalled by Wubi, put all the plug-in, made all the actualizations, with the single exception of the above mentioned and all is working really nice.

boratsuckdev (boratsuckdev1) wrote :

Same situation after update:

[1.314855] Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(8,2)

Installed by Wubi in Windows xp, in a machine AMD 3400+ (x86).

abdurrm (abdurrohman) wrote :

Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(8,1)

ubuntu 9.10
Installed by Wubi in Windows xp, in a machine Intel pentium dualcore(32bit).

please.. I don't have any idea about this..
but my data must be rescued..

abdurrm (abdurrohman) wrote :

sorry I don't have any better picture

Sriram (ultimatevikrant) wrote :

2009/11/23 abdurrm <email address hidden>:
> Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-
> block(8,1)
>
> ubuntu 9.10
> Installed by Wubi in Windows xp, in a machine Intel pentium dualcore(32bit).
>
> please.. I don't have any idea about this..
> but my data must be rescued..
>
> --
> Wubi/Karmic boot: kernel panic - not synching: VFS
> https://bugs.launchpad.net/bugs/477169
> You received this bug notification because you are a bug assignee.
>
> Status in Wubi, Windows Ubuntu Installer: New
> Status in Ubuntu: New
>
> Bug description:
> I was using Karmic, installed with Wubi. For a week it worked like a charm, and I updated it with the latest fixes.
> Since about 3 days ago every boot fails with kernel panic
>
> Going without the "--quiet" option, the message is:
>
> No filesystem could be mounted, tried: ext3 ext2 ext4 fuseblk
> Kernel-panic - not syncing : VFS : Unable to mount root fs on unknown-block(0,6)
>
> Eg. the grub entry for for the standard boot reads:
> insmod ntfs
> set root=(hd0,6)
> search --no-floppy --fs-uid --set a2a40b74a40b4a6d
> loopback loop0 /ubunu/disks/root.disk
> set root=(loop0)
> linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda6 loop=/ubuntu/disks/root.disk ro quiet splash
> initrd /boot/initrd.img-2.6.31-14-generic
>
> My /ubuntu directory is on (hd0,6). If I use the grub command line, I can:
> - see the contents of the drive
> - mount the root.disk as a loopback device and see its contents
> - can find the files referenced in the menu.lst
>
> Any ideas how to make it work again?use
> I had a previous install of Wubi/Karmic-rc, upgraded in place that had some kernel panics too after a few weeks of usage, but I just reinstalled it so not sure if it had the same issue.
>
Just boot using the live CD or if you don't have a live CD use
Virtualbox with 9.10 installed mount your NTFS partition and then
mount the /ubuntu/disks/root.disk using the following command
sudo mount -o loop /MOUNTPOINT_OF_NTFS/ubuntu/disks/root.disk
/MOUNTPOINT_OF_WUBI_INSTALLATION

now you can access your files

to restore the ubuntu wubi copy the file initrd.***.img in the
directory /boot to the directory
/MOUNTPOINT_OF_WUBI_INSTALLATION/boot/ after taking the backup of the
file existing over there
and replace it.

Now your wubi installation must boot up.

--
Sriram Damodharan

jdjennings (jennings) wrote :

Mark Abene posted in https://bugs.lauchpad.net/ubuntu/+source/grub/+bug/477104 #60 with a workaround that allowed me to boot and get past kernel panic with VFS. So far I only booted by using the grub> prompt and entering commands, but I was finally able to boot. basically what I did was:

boot from a live usb stick

# create some mount points
mkdir /win /vdisk /vdisk.boot

#mount the windows filesystem
mount /dev/sda1 /win

create a new /ubuntu/disks/boot.disk file, and put an ext2 filesystem on it (I made my 200MB, it probably doesn't need to be this big.)

#mount both the ubuntu / and the new boot.disk filesystems
mount -o loop /win/ubuntu/disks/root.disk /vdisk
mount -o loop /win/ubuntu/disks/boot.disk /vdisk.boot

#copy /vdisk/boot/vmlinuz-2.6.31-14-generic and /vdisk/boot/initrd.img-2.6.31-14-generic to /vdisk.boot, i just put them in the root of the new filesystem
cp /vdisk/boot/vmlinuz-2.6.31-14-generic /vdisk/boot/initrd.img-2.6.31-14-generic /vdisk.boot

#create a fstab entry for this new filesystem
/host/ubuntu/disks/boot.disk /boot_initrd ext2 loop,errors=remount-ro 0 1

reboot

got a grub> prompt and ran these commands:

root (hd0,1)
loopback loop0 /ubuntu/disks/root.disk
loopback loop1 /ubunut/disks/boot.disk
root (loop1)
# note: get the kernel and ramdisk from the boot.disk filesystem
linux /vmlinuz-2.6.31-14-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk ro
initrd /initrd.img-2.6.31-14-generic

boot

now I just need to edit the appropriate files to make this automatic. ought to be interesting.

Thanks to Mark Abene for figuring out this workaround. He speculates that there is a problem with grub seeking into large filesystems, maybe in combination with being a loopback device.

Mark Abene (marcocinco) wrote :

You saved me the trouble of typing all this up. :)
I would add that it isn't necessary for you to define a loop0 *and* a loop1 in grub, as grub only needs to know about your new boot.disk in order to boot. The "loop=" kernel parameter referencing root.disk is unrelated, and has nothing to do with grub. Rest assured the kernel will find the root.disk when the time comes. Hence simply defining loop0 to be /ubuntu/disks/boot.disk is adequate. Which also means that /boot/grub/grub.cfg requires absolutely no changes. :)

The missing piece to your (my) instructions is how to make grub-install now do the correct thing to /host/wubildr (on C:\) in order for the system to boot as normal to the grub menu. As I mentioned previously, it requires a rather simple change to /usr/share/lupin-support/grub-mkimage, which I've attached as a unified-diff patch. After creating the separate boot.disk and applying my patch, you can simply run e.g. "grub-install hd0" and wubildr will now properly update to boot your boot.disk, and all will be right in the world. heheh.

By the way, grub-install leaves all the files behind in /boot/grub that it uses to generate wubildr, which it REALLY should clean up afterwards. They're harmless, but it's messy.

Download full text (4.2 KiB)

thanks, after read your instruction now I can access my data again.

but on your 2nd instruction about restore the ubuntu wub, it's not working,
I've replace my /wubi/boot/initrd.img-2.6.31-14-generic
with new initrd in my new ubuntu by VMware
but it's still not working

please, I'm just a noob

________________________________
From: Sriram <email address hidden>
To: <email address hidden>
Sent: Tue, November 24, 2009 12:35:11 AM
Subject: Re: [Bug 477169] Re: Wubi/Karmic boot: kernel panic - not synching: VFS

2009/11/23 abdurrm <email address hidden>:
> Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-
> block(8,1)
>
> ubuntu 9.10
> Installed by Wubi in Windows xp, in a machine Intel pentium dualcore(32bit).
>
> please.. I don't have any idea about this..
> but my data must be rescued..
>
> --
> Wubi/Karmic boot: kernel panic - not synching: VFS
> https://bugs.launchpad.net/bugs/477169
> You received this bug notification because you are a bug assignee.
>
> Status in Wubi, Windows Ubuntu Installer: New
> Status in Ubuntu: New
>
> Bug description:
> I was using Karmic, installed with Wubi. For a week it worked like a charm, and I updated it with the latest fixes.
> Since about 3 days ago every boot fails with kernel panic
>
> Going without the "--quiet" option, the message is:
>
> No filesystem could be mounted, tried: ext3 ext2 ext4 fuseblk
> Kernel-panic - not syncing : VFS : Unable to mount root fs on unknown-block(0,6)
>
> Eg. the grub entry for for the standard boot reads:
> insmod ntfs
> set root=(hd0,6)
> search --no-floppy --fs-uid --set a2a40b74a40b4a6d
> loopback loop0 /ubunu/disks/root.disk
> set root=(loop0)
> linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda6 loop=/ubuntu/disks/root.disk ro quiet splash
> initrd /boot/initrd.img-2.6.31-14-generic
>
> My /ubuntu directory is on (hd0,6). If I use the grub command line, I can:
> - see the contents of the drive
> - mount the root.disk as a loopback device and see its contents
> - can find the files referenced in the menu.lst
>
> Any ideas how to make it work again?use
> I had a previous install of Wubi/Karmic-rc, upgraded in place that had some kernel panics too after a few weeks of usage, but I just reinstalled it so not sure if it had the same issue.
>
Just boot using the live CD or if you don't have a live CD use
Virtualbox with 9.10 installed mount your NTFS partition and then
mount the /ubuntu/disks/root.disk using the following command
sudo mount -o loop /MOUNTPOINT_OF_NTFS/ubuntu/disks/root.disk
/MOUNTPOINT_OF_WUBI_INSTALLATION

now you can access your files

to restore the ubuntu wubi copy the file initrd.***.img in the
directory /boot to the directory
/MOUNTPOINT_OF_WUBI_INSTALLATION/boot/ after taking the backup of the
file existing over there
and replace it.

Now your wubi installation must boot up.

--
Sriram Damodharan

--
Wubi/Karmic boot: kernel panic - not synching: VFS
https://bugs.launchpad.net/bugs/477169
You received this bug notification because you are a direct subscriber
of the bug.

Status in Wubi, Windows Ubuntu Installer: New
Status in Ubuntu: New

Bug description:
I was using Karmic, installed with Wubi. For a week it worked l...

Read more...

Download full text (5.9 KiB)

2009/11/24 abdurrm <email address hidden>:
> thanks, after read your instruction now I can access my data again.
>
> but on your 2nd instruction about restore the ubuntu wub, it's not working,
> I've replace my /wubi/boot/initrd.img-2.6.31-14-generic
> with new initrd in my new ubuntu by VMware
> but it's still not working
>
> please, I'm just a noob
>
>
>
> ________________________________
> From: Sriram <email address hidden>
> To: <email address hidden>
> Sent: Tue, November 24, 2009 12:35:11 AM
> Subject: Re: [Bug 477169] Re: Wubi/Karmic boot: kernel panic - not synching: VFS
>
> 2009/11/23 abdurrm <email address hidden>:
>> Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-
>> block(8,1)
>>
>> ubuntu 9.10
>> Installed by Wubi in Windows xp, in a machine Intel pentium dualcore(32bit).
>>
>> please.. I don't have any idea about this..
>> but my data must be rescued..
>>
>> --
>> Wubi/Karmic boot: kernel panic - not synching: VFS
>> https://bugs.launchpad.net/bugs/477169
>> You received this bug notification because you are a bug assignee.
>>
>> Status in Wubi, Windows Ubuntu Installer: New
>> Status in Ubuntu: New
>>
>> Bug description:
>> I was using Karmic, installed with Wubi. For a week it worked like a charm, and I updated it with the latest fixes.
>> Since about 3 days ago every boot fails with kernel panic
>>
>> Going without the "--quiet" option, the message is:
>>
>> No filesystem could be mounted, tried: ext3 ext2 ext4 fuseblk
>> Kernel-panic - not syncing : VFS : Unable to mount root fs on unknown-block(0,6)
>>
>> Eg. the grub entry for for the standard boot reads:
>> insmod ntfs
>> set root=(hd0,6)
>> search --no-floppy --fs-uid --set a2a40b74a40b4a6d
>> loopback loop0 /ubunu/disks/root.disk
>> set root=(loop0)
>> linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda6 loop=/ubuntu/disks/root.disk ro quiet splash
>> initrd /boot/initrd.img-2.6.31-14-generic
>>
>> My /ubuntu directory is on (hd0,6). If I use the grub command line, I can:
>> - see the contents of the drive
>> - mount the root.disk as a loopback device and see its contents
>> - can find the files referenced in the menu.lst
>>
>> Any ideas how to make it work again?use
>> I had a previous install of Wubi/Karmic-rc, upgraded in place that had some kernel panics too after a few weeks of usage, but I just reinstalled it so not sure if it had the same issue.
>>
> Just boot using the live CD or if you don't have a live CD use
> Virtualbox with 9.10 installed mount your NTFS partition and then
> mount the /ubuntu/disks/root.disk using the following command
> sudo mount -o loop /MOUNTPOINT_OF_NTFS/ubuntu/disks/root.disk
> /MOUNTPOINT_OF_WUBI_INSTALLATION
>
> now you can access your files
>
> to restore the ubuntu wubi copy the file initrd.***.img in the
> directory /boot to the directory
> /MOUNTPOINT_OF_WUBI_INSTALLATION/boot/ after taking the backup of the
> file existing over there
> and replace it.
>
> Now your wubi installation must boot up.
>
> --
> Sriram Damodharan
>
> --
> Wubi/Karmic boot: kernel panic - not synching: VFS
> https://bugs.launchpad.net/bugs/477169
> You received this bug notification because you are a direct subscriber
> of th...

Read more...

Download full text (6.1 KiB)

________________________________
From: Sriram <email address hidden>
To: <email address hidden>
Sent: Tue, November 24, 2009 4:52:08 PM
Subject: Re: [Bug 477169] Re: Wubi/Karmic boot: kernel panic - not synching: VFS

2009/11/24 abdurrm <email address hidden>:
> thanks, after read your instruction now I can access my data again.
>
> but on your 2nd instruction about restore the ubuntu wub, it's not working,
> I've replace my /wubi/boot/initrd.img-2.6.31-14-generic
> with new initrd in my new ubuntu by VMware
> but it's still not working
>
> please, I'm just a noob
>
>
>
> ________________________________
> From: Sriram <email address hidden>
> To: <email address hidden>
> Sent: Tue, November 24, 2009 12:35:11 AM
> Subject: Re: [Bug 477169] Re: Wubi/Karmic boot: kernel panic - not synching: VFS
>
> 2009/11/23 abdurrm <email address hidden>:
>> Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-
>> block(8,1)
>>
>> ubuntu 9.10
>> Installed by Wubi in Windows xp, in a machine Intel pentium dualcore(32bit).
>>
>> please.. I don't have any idea about this..
>> but my data must be rescued..
>>
>> --
>> Wubi/Karmic boot: kernel panic - not synching: VFS
>> https://bugs.launchpad.net/bugs/477169
>> You received this bug notification because you are a bug assignee.
>>
>> Status in Wubi, Windows Ubuntu Installer: New
>> Status in Ubuntu: New
>>
>> Bug description:
>> I was using Karmic, installed with Wubi. For a week it worked like a charm, and I updated it with the latest fixes.
>> Since about 3 days ago every boot fails with kernel panic
>>
>> Going without the "--quiet" option, the message is:
>>
>> No filesystem could be mounted, tried: ext3 ext2 ext4 fuseblk
>> Kernel-panic - not syncing : VFS : Unable to mount root fs on unknown-block(0,6)
>>
>> Eg. the grub entry for for the standard boot reads:
>> insmod ntfs
>> set root=(hd0,6)
>> search --no-floppy --fs-uid --set a2a40b74a40b4a6d
>> loopback loop0 /ubunu/disks/root.disk
>> set root=(loop0)
>> linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda6 loop=/ubuntu/disks/root.disk ro quiet splash
>> initrd /boot/initrd.img-2.6.31-14-generic
>>
>> My /ubuntu directory is on (hd0,6). If I use the grub command line, I can:
>> - see the contents of the drive
>> - mount the root.disk as a loopback device and see its contents
>> - can find the files referenced in the menu.lst
>>
>> Any ideas how to make it work again?use
>> I had a previous install of Wubi/Karmic-rc, upgraded in place that had some kernel panics too after a few weeks of usage, but I just reinstalled it so not sure if it had the same issue.
>>
> Just boot using the live CD or if you don't have a live CD use
> Virtualbox with 9.10 installed mount your NTFS partition and then
> mount the /ubuntu/disks/root.disk using the following command
> sudo mount -o loop /MOUNTPOINT_OF_NTFS/ubuntu/disks/root.disk
> /MOUNTPOINT_OF_WUBI_INSTALLATION
>
> now you can access your files
>
> to restore the ubuntu wubi copy the file initrd.***.img in the
> directory /boot to the directory
> /MOUNTPOINT_OF_WUBI_INSTALLATION/boot/ after taking the backup of the
> file existing over there
> and replace it.
>
> Now your wubi installa...

Read more...

Changed in wubi:
status: New → Confirmed
gissi (zerinol) wrote :

My problem now is how to prevent! yesterday I upgrade the kernel to 2.6.31-15-generic and, after doing this, impossible to boot. So I decided to reinstall but ubuntu version I downloaded did not include the new kernel so that I had to upgrade another time. Afret upgrading, whithout doing anithing else I typed "grub-install hd0" and "update-grub". It seems to work for me since I coud boot!! As someone noticed, althout I eliminated 2.6.31-14-generic in the grub menu I still have this option that, obviously, doesn't work. 2.6.31-14-generic worked and still working.

Matthew (dracos) wrote :

Problem here too, 9.10 on an MSI Wind using wubi. I installed a bunch of recommended updates on Sunday, and next tried to use laptop this morning, only to have the "kernel panic" message (plus two LEDs flashing) and no way of doing anything other than power off. I got to my data by mounting from a VirtualBox install of Ubuntu (thanks for that suggestion), but Sriram's fix at #68 (replacing the initrd.img with one from the VirtualBox Ubuntu) does not fix the issue here.

I don't really follow (therefore am too nervous) to run Mark Abene's instructions; I guess I'll next try the mkinitramfs command as described at http://ubuntu-virginia.ubuntuforums.org/showthread.php?t=1317397&page=4 and see if that works.

Mark Abene (marcocinco) wrote :

Everyone go back and read #69 and #70, which is a workaround solution to all this mess.

Now go read it again.

gissi (zerinol) wrote :

#76. I think I could make the kernel upgrade working without livecd. Only "grub-install hd0" and "update-grub". Would like to know if I am just lucky or it's a good solution for kernel upgrade in the future.

dusmit (dusmit) wrote :

First, pardon my English. I'm starting with ubuntu, and I don't understand the following:

"create a new /ubuntu/disks/boot.disk file, and put an ext2 filesystem on it (I made my 200MB, it probably doesn't need to be this big.)"

What is the command that generates the boot.disk?

Thansk for all.

To #78:
I used the following instructions:
        cd /win/ubuntu/disks
        dd if=/dev/zero of=boot.disk bs=4096 count=8192
        mke2fs boot.disk
See the man pages for dd and mke2fs if necessary.

dusmit (dusmit) wrote :

Thank you very much Craig Van Degrift. The system boot OK.

My last question is the next: What config files that I have to change so that the result is permanent? I follow the instructions given #69 to boot system.

Thank you very much to all

Mark Abene I patched /usr/share/lupin-support/grub-mkimage and did sudo grub-install hd0 but I'm still going to the grub> prompt when I reboot and choose ubuntu and have to enter these commands whenever I want to login.

It's so frustrating that something like this could happen in the first place.

Here's what my grub-mkimage looks like (without the preamble)

prefix=
test_only=false

for option in "$@"; do
    case "$option" in
    --prefix=*)
        prefix=`echo "$option" | sed 's/--prefix=//'` ;;
    --test)
 test_only=: ;;
    esac
done

GRUB_DEVICE="`grub-probe --target=device /boot`"
case ${GRUB_DEVICE} in
  /dev/loop/*|/dev/loop[0-9])
    loop_file=`losetup ${GRUB_DEVICE} | sed -e "s/^[^(]*(\([^)]\+\)).*/\1/"`
  ;;
esac

# Is the root loop-mounted from a file on another filesystem?
if [ "x${loop_file}" = x ] || [ ! -f "${loop_file}" ]; then
  exit 1
fi

mtpt="${loop_file%/*}"
while [ -n "$mtpt" ]; do
    while read DEV MTPT FSTYPE OPTS REST; do
        if [ "$MTPT" = "$mtpt" ]; then
            loop_file=${loop_file#$MTPT}
            host_mountpoint=$MTPT
            break
        fi
    done < /proc/mounts
    mtpt="${mtpt%/*}"
    [ -z "$host_mountpoint" ] || break
done

if [ "x${host_mountpoint}" = x ]; then
    exit 1
fi

target="${host_mountpoint}/wubildr"

if [ ! -f "$target" ]; then
    exit 1
fi

if $test_only; then
    exit 0
fi

# TODO You might want to have this as a proper file somewhere in /usr/share
lupin_embedded_cfg=$(tempfile)
cat << EOF >> $lupin_embedded_cfg
set show_panic_message=true
if search -s -f -n $loop_file; then
    if loopback loop0 $loop_file; then
        set root=(loop0)
        if [ -e /grub/grub.cfg ]; then
            if configfile /grub/grub.cfg; then
                set show_panic_message=false
            fi
        fi
    fi
fi
if [ \${show_panic_message} = true ]; then
    echo "It is not possible to boot from the Ubuntu image."
    echo "The Windows partition might be corrupted."
    echo "Please reboot into Windows and run: chkdsk /r"
    echo "Then try again."
fi
EOF

# Watch the modules order!
modules=" \
    loadenv biosdisk part_msdos part_gpt fat ntfs ext2 ntfscomp iso9660 loopback \
    search linux boot minicmd cat cpuid chain halt help ls reboot \
    echo test configfile sh sleep"

grub-mkimage ${prefix:+--prefix="$prefix"} -c $lupin_embedded_cfg $modules | cat /usr/lib/grub/i386-pc/lnxboot.img - > "$target"
rm $lupin_embedded_cfg || true

alexlinux (alexandrelimaconde) wrote :

I have the same problem... I kind of "solve" it by pressing e (when the system shows the menu with several kernel possibilities) and editing the file, making only the following change: where is "2.6.31-15-generic" write "2.6.31-14-generic" (loads the older kernel). Press Ctr x and you should be able to boot!

However this is only a fix, you have to do this every time you boot!

NOTE:
(1) "sudo update-grub" doesn't solve the problem.
(2) Selecting the older kernel in the boot menu, doesn't work too!!!

Mark Abene (marcocinco) wrote :

Response to 82: if you properly created the separate boot.disk filesystem containing grub, your kernel(s) and initrd(s), it must BE MOUNTED before you run "grub-install hd0" (assuming we're talking about your primary hard drive). You didn't mention any error messages after running grub-install, so I have no idea what you did.

As per previous instructions you should:

1) "dd" to create the boot.disk file in /host/ubuntu/disks
2) "losetup" to assign it to a /dev/loopX device (it most likely will come up as /dev/loop1, since /dev/loop0 is the root filesystem). You can verify this with "losetup -a" after the fact.
3) "mke2fs" to create a new filesystem on this loopback device.
4) mount this new filesystem temporarily, for example, at /mnt
5) copy EVERYTHING in /boot to /mnt
6) unmount /mnt, and now mount the same filesystem on top of /boot
7) apply my grub-mkimage patch, and then run "grub-install hd0", which will update the wubildr.
8) add an entry for "/boot" in /etc/fstab

If you do this correctly, your system will be 100% back to normal. No more messing with grub prompts, and no editing command line boot strings.

What this shows is that the current version of grub2 obviously has a serious problem correctly seeking into very large filesystems, so we're working around that problem by creating a separate, much smaller /boot filesystem with everything it needs to start linux. Problem solved.

I urge everyone to READ AND UNDERSTAND what I'm saying, as this is the cause for this bug report, as well as the other bug reports I attached to this one as duplicates.

I've done everything you've said Mark, now I do get a menu, but whenever I try to launch ubuntu from there I get 'Error: You need to load the kernel first' and press any key to continue. Then it goes back to the menu and when I press it again it goes through and kernel panics not synching: VFS. I have to use the command line to boot ubuntu.

I've made the boot.disk filesystem copied the contents of /boot into it then mounted it to /boot, run sudo grub-install hd0 (which returns no errors), then added '/host/ubuntu/disks/boot.disk /boot ext2 loop,errors=remount-ro 0 1' to /etc/fstab

Mark Abene (marcocinco) wrote :

Is this with the newer -15 kernel update? Can you confirm the same problem occurs with -14? Using my method I've successfully restored normal booting ability for -14 and any kernels I've built from the sources associated with that kernel version.

I have not yet tested -15, so I'd like to rule out whether or not you're seeing this same error with -14, which would mean it has nothing to do with this newer kernel.

alexlinux (alexandrelimaconde) wrote :

Response to #84: In the beginning of this problem I didn't have any menu at startup, the system when to the grub prompt! After following the procedure in #82 (using kernel version ...-15) I got a menu, but I wasn't able to boot (I got the kernel panic thing). The only way to boot it is explained in #83, but next time I boot in the system I have to repeat the all thing again... and as I said, "sudo update-grub" doesn't solve the problem.

Mark Abene (marcocinco) wrote :

Alex, can you please upload your current grub.cfg file? If you can in fact boot your -14 kernel by editing the grub boot command line, there's no reason why it shouldn't also work from the menu, unless your grub menu entry for the -14 kernel is somehow wrong or isn't properly being updated.

alexlinux (alexandrelimaconde) wrote :

Here it goes...

#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by /usr/sbin/grub-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
if [ -s /boot/grub/grubenv ]; then
  have_grubenv=true
  load_env
fi
set default="0"
if [ ${prev_saved_entry} ]; then
  saved_entry=${prev_saved_entry}
  save_env saved_entry
  prev_saved_entry=
  save_env prev_saved_entry
fi
if [ ${recordfail} = 1 ]; then
  set timeout=-1
else
  set timeout=10
fi
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/05_debian_theme ###
set menu_color_normal=white/black
set menu_color_highlight=black/white
### END /etc/grub.d/05_debian_theme ###

### BEGIN /etc/grub.d/10_linux ###
### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/10_lupin ###
menuentry "Ubuntu, Linux 2.6.31-15-generic" {
 insmod ntfs
 set root=(hd0,1)
 search --no-floppy --fs-uuid --set dc48b71648b6ee80
 loopback loop0 /ubuntu/disks/root.disk
 set root=(loop0)
 linux /boot/vmlinuz-2.6.31-15-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk ro quiet splash
 initrd /boot/initrd.img-2.6.31-15-generic
}
menuentry "Ubuntu, Linux 2.6.31-15-generic (recovery mode)" {
 insmod ntfs
 set root=(hd0,1)
 search --no-floppy --fs-uuid --set dc48b71648b6ee80
 loopback loop0 /ubuntu/disks/root.disk
 set root=(loop0)
 linux /boot/vmlinuz-2.6.31-15-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk ro single
 initrd /boot/initrd.img-2.6.31-15-generic
}
menuentry "Ubuntu, Linux 2.6.31-14-generic" {
 insmod ntfs
 set root=(hd0,1)
 search --no-floppy --fs-uuid --set dc48b71648b6ee80
 loopback loop0 /ubuntu/disks/root.disk
 set root=(loop0)
 linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk ro quiet splash
 initrd /boot/initrd.img-2.6.31-14-generic
}
menuentry "Ubuntu, Linux 2.6.31-14-generic (recovery mode)" {
 insmod ntfs
 set root=(hd0,1)
 search --no-floppy --fs-uuid --set dc48b71648b6ee80
 loopback loop0 /ubuntu/disks/root.disk
 set root=(loop0)
 linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk ro single
 initrd /boot/initrd.img-2.6.31-14-generic
}
### END /etc/grub.d/10_lupin ###

### BEGIN /etc/grub.d/20_memtest86+ ###
### END /etc/grub.d/20_memtest86+ ###

### BEGIN /etc/grub.d/30_os-prober ###
menuentry "Microsoft Windows XP Professional (on /dev/sda2)" {
 insmod ntfs
 set root=(hd0,2)
 search --no-floppy --fs-uuid --set 4c54a5a254a58ef0
 drivemap -s (hd0) ${root}
 chainloader +1
}
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries. Simply type the
# menu entries you want to add after this comment. Be careful not to change
# the 'exec tail' line above.
### END /etc/grub.d/40_custom ###

Phil M (cecinestpasphil) wrote :

Hi Mark! Thanks for your help.
I've done all you said in #84, but when doing grub-install hd0 I get:

grub-probe: error: Cannot find a GRUB drive for /dev/loop1. Check your device.map.

My device.map in /boot/grub contains only:

(hd0) /dev/sda.

What may be wrong?

alexlinux (alexandrelimaconde) wrote :

Now this is weird... I had to install some programs and now, when I boot the system, the grub menu is gone! I only get the grub prompt, but I am able to boot manually using:

>linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk ro single
>initrd /boot/initrd.img-2.6.31-14-generic
>boot

Phil M (cecinestpasphil) wrote :

UPDATES:
1) I succeeded in updating Grub with grub-install.

** Useful info for Mark **
I solved the error above substituting target=${host_mountpoint}/wubildr with the full path to wubildr.
Consider that I installed wubi in a partition different from the first partition, therefore my wubildr isn't in /host/. I don't know why the script didnt' found it anyway.

2) I've the same error of #85.
Whatever kernel option I choose I get: "Error: You need to load the kernel first".
So I press 'e', get rid of all that bunch of lines except the last two:
 linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda5 loop=/ubuntu/disks/root.disk ro single
 initrd /boot/initrd.img-2.6.31-14-generic

Try. Don't work, 'cause it seems /boot folder is empty.
So I've to substitute /boot with /boot_old (that was a copy of the old /boot folder that I made before creating boot.disk, ecc...)
And all seems to work.

My question now is: how can I tell grub to load boot.disk into /boot before loading kernel with these two commands?

Phil M (cecinestpasphil) wrote :

Day by day Grubs is getting me more and more doubtful...

I added:
loopback loop1 = /ubuntu/disks/boot.disk
and edited:
root (loop0) -> root (loop1)

the last two lines where without /boot:
 linux /vmlinuz-2.6.31-14-generic root=/dev/sda5 loop=/ubuntu/disks/root.disk ro single
 initrd /initrd.img-2.6.31-14-generic

And I get rid only of:
insmod ntfs
That gives me an 'error: not found' (or something similar).

IT WORKS.

But if I try to run kernel 2.6.31-15 with the same procedure: boots normally, but then I get stuck on tty1 console login with the text on the screen flashing!! Mah...

smallbob (indianriver63) wrote :

Mark ...
As a complete linux novice....(1st time using it 9 days ago ... and that simply to download ubuntu under windows and run it ...I am gussing that was the wubi?) I am sure post# 69 ha the answer to the problem .... but , of courde, not having a usb stick, I fell at the 1st hurdle. 99% of what is being discussed here goes straight over my head (what on earth does "define a loop0 *and* a loop1 in grub, as grub only needs to know about your new boot.disk in order to boot. The "loop=" kernel parameter referencing" mean and a unified-diff patch???!?
In short ... without an usb stick and sh:grub prompt to the ready , what EXACTLY do I type to implement your #70 workaround ?
ps. it took me fully 4 1/2 hours to work out that my kernel version(?!?%) was 2.6.31-14-generic. is tht even right? ... am i in the right place ..... HHEEELLLPP!!!
thanx

Mark Abene (marcocinco) wrote :

I see two problems evident from some of your grub.cfg files, if in fact you're attempting to make use of a separate /boot filesystem as I recommended:

1) The "loopback" line should be referencing "boot.disk", *not* "root.disk". I'm pretty sure that grub is doing this in /usr/lib/grub/grub-mkconfig_lib, so that script will probably require a patch as well in order for update-grub to work right.

2) Your "linux" and "initrd" lines should *not* start with "/boot". They should simply be referencing "/vmlinuz..." and "/initrd..." without any "/boot" at the beginning of the path. Reason being is that these files now exist at the root-level of the boot.disk filesystem, as grub sees them. When I run update-grub, my grub.cfg file looks correct, there's no "/boot" at the beginning of these paths. So I can only guess that you're not running update-grub while your new /boot is mounted, which you have to do.

If you make these changes manually to your grub.cfg, you should be able to boot as normal from the menu, at least with kernel -14. I haven't yet had time to test the new -15 kernel update, so I can't comment on those problems.

Mark Abene (marcocinco) wrote :

Not to be rude, but the only reason I'm checking this ticket is to help people work around a critical grub2 bug that occurred as a result of a recent major update. I was affected by the problem, immediately came up with a workaround solution, and that's what I'm trying to help people with. We aren't discussing general ubuntu installation problems nor some oddity that may have cropped up in your ability to boot windows on a dual-boot machine. There is ample documentation and support for such things elsewhere.

alexlinux (alexandrelimaconde) wrote :

Mark, WHERE is the solution for this problem, in the case Wubi, Grub 2 and kernel...-15-...? Please!

For now, I am able to boot, using kernel-14, by choosing that option in the grub menu at startup. Sometimes this menu don't show up (why? I don't know!) and I follow #91 and then I enter "sudo update-grub" at the terminal. Next time I boot, the grub menu shows again and I choose kernel-14. It works with me...

smallbob (indianriver63) wrote :

Mark ...
I am sorry if I sounded ungrateful in my last post ... I am not... in fact your clearly evident expertise is appreciated more than you can know! Gives me some hope the issue is solvable. The frustrating bit is ... I know you know how to solve this ... but I can't work it out from your solutions ... (everything to to with my lack of any unix experience , I am sure!) .I just don't know how to start (no usb stick) .

sh:grub >linux /vmlinuz-2.6.31-14-generic root=/dev/sda5 loop=/ubuntu/disks/root.disk ro single
sh:grub> initrd /initrd.img-2.6.31-14-generic
sh:grub> boot

This sequence sends a load of stuff rushing past the screen then it suddenly stops and hangs with the caps lock and numlock lights flashing . The only thing I can do at that point is to switch off the laptop and start up again .
Thanks once again for your patience

alexlinux (alexandrelimaconde) wrote :

smallbob ...

Did you tried:
>linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda5 loop=/ubuntu/disks/root.disk ro quiet splash
>initrd /boot/initrd.img-2.6.31-14-generic
>boot

Please check if the boot partion is sda5...? It could be sda1.... (just try again with other number!).

Read #97 too.

Mark Abene (marcocinco) wrote :

In response to my own previous message, it was actually the /etc/grub.d/10_lupin script called by update-grub which I needed to patch so that running "update-grub" properly creates grub.cfg with boot.disk for the grub loopback device, and root.disk for the kernel's loopback root device.

This and my previous patch to grub-mkimage are BOTH NECESSARY for those of you who followed the directions in posts #69 and #70 to create a separate /boot filesystem as a workaround for the current grub2 bug preventing people from booting their wubi install. Remember that your new separate /boot filesystem MUST BE MOUNTED before running update-grub, otherwise things won't be found in the correct places.

Mark Abene (marcocinco) wrote :

I finally had a chance to test the -15 kernel update. There was absolutely no problem whatsoever with this kernel, as I expected. The only underlying problem is the aforementioned grub2 problem, which I'm now considering "worked around" with a separate /boot filesystem as a solution, plus my two script patches. If you have trouble following instructions, I can't help you. Detailed instructions have already been posted here, and I've already repeated myself several times making reference to the posts containing the instructions.

smallbob (indianriver63) wrote :

Alexlinux
Thanx for your comments. I have tried numbers sda0 up to sda9 .... No joy. With the addition of the splash and quiet words in the 1st line , there is no more stuff rushing past the screen anymore but the machine still hangs with the lights flashing. you can imagine I had to switch of and back on ten times to do this ... oh where has my lovely ubuntu (not to mention all my precious data) gone??!!??
One love!

smallbob...

I am sorry that this didn't work! For me it worked in 3 different computers... maybe the situation is not the same. You should try the Mark Abene "solution".

However you can access your files using the process described in [https://wiki.ubuntu.com/WubiGuide#How can I access the Wubi files from Windows?].

The following might be helpful. It summarizes Mark Albene's solution to this problem:

I did a fresh install of wubi-ubuntu into a Windows XP partition, performed all updates, and observed the boot problem.
I was able to reboot by typing in the commands at the grub prompt:
grub> linux /vmlinuz-2.6.31-15-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk ro
grub> initrd /initrd.img-2.6.31-15-generic
grub> boot

I then did the following as instructed in the comments for this bug:

Brought in Mark Albene's patches for /etc/grub.d/10_lupin and /usr/share/lupin-support/grub-mkimage
and put them in /home/user/InstallationNotes/patches
$ sudo -s
# cd /etc/grub.d/
# apt-get install patch
# patch -b 10_lupin /home/user/InstallationNotes/patches/patch_to_10_lupin
# mv 10_lupin.orig /home/user/InstallationNotes/patches
  Note: failure to do the above mv will cause additional entries in the grub menu
# cd /usr/share/lupin-support
# patch -b grub-mkimage /home/user/InstallationNotes/patches/patch_to_grub-mkimage
# cd /host/ubuntu/disks
# dd if=/dev/zero of=boot.disk bs=4096 count=16384
# mke2fs boot.disk
  Note: mke2fs apparently sets up the necessary loop device when it is given a file instead of a device.
# cd /
# mkdir /vdisk.boot
# mount -o loop,rw /host/ubuntu/disks/boot.disk /vdisk.boot
# cp -a /boot/* /vdisk.boot
# umount /vdisk.boot
# mount -o loop,rw /host/ubuntu/disks/boot.disk /boot
# update-grub
# grub-install hd0
# vi /etc/fstab
Added the boot.disk entry line so that /etc/fstab looks like the following:

   # /etc/fstab: static file system information.
   #
   # Use 'blkid -o value -s UUID' to print the universally unique identifier
   # for a device; this may be used with UUID= as a more robust way to name
   # devices that works even if disks are added and removed. See fstab(5).
   #
   # <file system> <mount point> <type> <options> <dump> <pass>
   proc /proc proc defaults 0 0
   /host/ubuntu/disks/root.disk / ext4 loop,errors=remount-ro 0 1
   /host/ubuntu/disks/boot.disk /boot ext2 loop,errors=remount-ro 0 1
   /host/ubuntu/disks/swap.disk none swap loop,sw 0 0
   /dev/fd0 /media/floppy0 auto rw,user,noauto,exec,utf8 0 0

and then rebooted successfully from the menu provided by grub.

I hope I have not forgotten anything or have any typos in the above.
All commands executed without errors.

Agostino Russo (ago) wrote :

There might be different issues intermingled here. Thanks to your comments I can confirm one bug:

If your windows boot device (say C:\) is different from the partition where you installed Wubi (say D:\ubuntu)
lupin>grub-mkimage will modify wubildr within the latter (D:\wubildr) instead of C:\wubildr. You can in such cases copy D:\wubildr to C:\ (replacing drive letters as appropriate). I am not sure though that is going to help much.

There also seems to be an issue with grub being unable to read a file within a large loopfile, particularly when the contained files are overwritten, so possibly an issue with the ntfs/loop modules within grub. I cannot reproduce this, could it be linked to fragmentation / file size of root.disk / file system size? Is there a size over which this always happens? Does any file that is overwritten within root.disk become unaccessible to grub?

Got bit by this bug last weekend. My setup had a 20GB loop file on C:\, so I don't know how that affects @ago's diagnosis in #105.

This same bug is also the subject of http://ubuntuforums.org/showthread.php?t=1317397, and the guess there is that it has something to do with initscripts_2.87dsf-4ubuntu12_i386. See item #34:

<blockquote>It is because of the package initscripts_2.87dsf-4ubuntu12_i386 which is installed as an update. This changes the initrd scripts. So the solution is to revert back to the original initrd file in /boot. Mount the root.disk inside the live CD or Virtualbox(for those those who have only the iso) and copy the following file to the /boot after taking the backup of original initrd.img-2.6.31-14-generic which is found in the /boot of the LiveCD or the VBox machine. This would solve the problem</blockquote>

Can't confirm the above, though. I did reinstall with Wubi and just skipped that file altogether in the updates. So far it's okay.

Colin Watson (cjwatson) on 2009-12-01
affects: ubuntu → lupin (Ubuntu)
Colin Watson (cjwatson) wrote :

Mark Abene: Thanks, I've committed your lupin patches for Lucid (with a few changes in the case of grub-mkimage). It remains to be seen whether we need to issue those as an update to Karmic.

We're still discussing why this is showing up in the first place. Current favourite theory is that the filesystem is marked dirty and some journal changes to root.disk still need to be replayed after the upgrade, and hence grub can't read root.disk since its NTFS driver isn't *that* clever; but it's not clear yet ...

Changed in lupin (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
status: New → Fix Committed
Agostino Russo (ago) wrote :

To test the above theory (upgraded initscripts leaves fs marked as dirty at shutdown), you need to go do a fresh installation, go through the initscripts upgrade, then shutdown, boot from a live CD/usb and check whether ntfs is marked as dirty using ntfs-3g.probe.

Agostino Russo (ago) wrote :

If you have this issue, can you please post the content of: cat /proc/cmdline? If you installed onto ntfs, among your kernel boot parameters, you should have:: rootflags=syncio

Mark Abene (marcocinco) wrote :

Agostino: although older versions of Wubi installs made use of "rootflags=syncio" as mount options for mounting the root filesystem, the current version doesn't. Bug #204133, comment #59 would tend to support this, at least in theory.

HOWEVER, my root filesystem is in fact the default ext4, which exists in an ntfs loopback file, and I've had no corruption of files whatsoever. This is without any syncio mount option. Also, let me remind you that the files in question aren't actually corrupted at all. Only grub2's reading of modified files shows them as appearing corrupted, and only to grub2 itself. I don't think I need to explain why there is nothing at all wrong with the initscripts package. If you update your initrd, grub2 will read it as corrupted. If you update the grub packages themselves, grub.cfg will be rewritten and grub2 will read it as corrupted. If you update your kernel to -15, it's rewritten, and grub2 reads it as corrupted. You see the pattern here? All three of these were recent updates triggering different error messages, causing people to file multiple problem reports here, but the cause was always grub2 itself.

Ultimately, I won't be surprised in the least if we end up discovering the problem to be in the loopback.mod, ntfs.mod, or ext2.mod modules of grub2. In my tests, I chose to make the separate /boot fs to be ext2 to eliminate the possibility of the problem being journal related. There is another test you could perform, which is doing a default Wubi install, creating a root.disk of equal size, making it an ext2fs, copying over the complete install, booting it, and updating it. If you have the same exact problem with grub2, you'll know it isn't journal related (ext2 doesn't do journaling), which only leaves the loopback and/or ntfs modules of grub2 as the culprits.

Agostino Russo (ago) wrote :

Mark, what might happen is that ntfs (not necessarily ext4) could be left in a dirty state with journal items to be committed.

What it means is that if you boot from Windows or a full Ubuntu installation using their default ntfs driver, those drivers will correctly play back the ntfs journal before accessing any file, hence you would not even notice the issue. But when you boot into Wubi, the ntfs driver within grub does not playback the ntfs journal, which might leave some files in an akward state. In particular root.disk. This would also explain why you can access the files once you boot from Ubuntu, but not from grub.

Try this: do a clean wubi install, upgrade so that you get the new initscripts package and shutdown. You should now not be able to boot back into Ubuntu. Try now to boot into Windows, shutdown cleanly, and boot back into Ubuntu. This should work.

Alternatively, after experiencing booting problems in Wubi, try to boot from a live CD/USB and check the ntfs filesystem.

Again, at this stage this is only speculation on my part, but it seems consistent with most observations so far.

Another thing to try: if you installed Wubi onto a partition which is not the boot partition (say D:\ubuntu), see if you have a D:\wubildr and copy it onto C:\wubildr. Then try to boot.

Thanks for your help!

maihacke (simon-spielmann) wrote :

I at first got Problem discribed in #477104 here. Now I'm stuck with the described kernel panic.
Booting Windows and doing a clean shutdown as proposed by Agostino doesn't not help.

boot.disk and root.disk are on hda5. So they reside on the windows boot disk but not the boot partition (if that matters).

Mark Abene (marcocinco) wrote :

Agostino: I know for a fact that when I originally discovered "the problem", booting into Windows and then trying to boot back into the Wubi install made no difference. Files that read as corrupted in grub2 were still read as corrupted. As per your theory, it is true that if you look through the source to grub2's ntfs module, you won't find any code that references the USN journal. So one can only assume that grub2 ignores ntfs journaling altogether. However, I've been using Wubi for quite some time and have never run into the current problem before, and am fairly certain that grub NEVER had any code that checked the ntfs USN journal. So I'm not seeing the connection here.

But I have something stranger to report. I just did another fresh Wubi install, then performed a full update of all the new packages. So this is a default install with all current updates. And the system boots fine! There is no problem with grub2 that I can find, and I can successfully boot ALL kernels in my grub2 boot menu. I've even updated grub defaults and installed a custom kernel and initrd into /boot (which is in the root.disk). No problems. I'm at a loss to explain this. Were there any ubuntu or lupin updates in the past week that would have fixed the problem???
I'll continue trying to trigger the problem.

Agostino Russo (ago) wrote :

I was never able to reproduce this bug myself, so it is not unexpected that it works for you, it remains to be seen if the issue is random or if it was due to some past upgrade.

Mark Abene (marcocinco) wrote :

Agostino: really? That's very interesting. The fact that I now have two installs on the exact same machine, one had the "problem" after updates and was "repaired" with a separate /boot filesystem, and the other a fresh install with all updates and no problems at all, makes me wonder... Could it have something to do with ntfs fragmentation? I've done the Wubi install more than once on this machine, always with the same result (same grub2 problem after updates). Today was the first time I did a fresh install followed by all updates, and no problems booting at all. This problem is rather unusual, I have to admit.

I left my original /boot directory intact on my original root.disk (I just mount boot.disk on top of it), that's the original /boot that grub2 can't boot. Can you think of any further tests on a known-bad /boot for comparison to a known-good one?

I made a test to see if Grub had difficulty reaching high up in an ext4 partition (no ntfs or wubi involved so may be irrelevant to present bug).

First, I installed and fully updated (as of 12/2/09) Xubuntu 9.10 in a desktop machine letting it use the entire 80GB disk with the root directory at sda1 formatted in ext4. update-grub and grub-install /dev/sda worked fine and rebooting was successful.

I then booted up Xubuntu as a LiveCD on that system and did the following:
--used tar to copy all of the installed system from sda1 to a USB drive.
--ran mkfs.ext4 on /dev/sda1
--used dd to put a file of varying size (1MB, 1GB, 2GB and 10GB) as the first entry (besides lost+found) on that partition
--used tar to copy the system back from the USB drive
--used mount --bind to set up /mnt/dev, /mnt/proc, /mnt/sys to allow me to work the reestablished disk system from the LiveCD system.
--chroot /mnt and ran update-grub and grub-install /dev/sda without any errors.
--exited chroot and umounted /mnt/dev, /mnt/proc /mnt/sys, and /mnt
--rebooted successfully each time and was able to run update-grub and install-grub /dev/sda and successfully reboot again.

I had expected problems based on my poorly-documented experiences a week or so ago, but found none this time.

At least part of the problem is that grub cannot read text files coded in UTF8! I am able to boot from a grub.cfg file from another partition coded in ANSI, but if I change that file to UTF8, grub is not able to read it.

I am sorry but the conclusion of my last entry is wrong! What we can conclude is that grub is not seeing the content of the files, try cat (loop0)/boot/grub/grub.cfg, in my case it showed the content of some openoffice file! I tried cat with several files, some seem ok, but other are completely wrong...

toddq (toddq) wrote :

I'm experiencing this problem on linuz-2.6.31-16-generic.

I'm also experiencing this bug, and I managed to narrow the
problem down to the initrd image being the problem.
I can boot the new kernel 2.6.32-16-generic-pae using
the initrd from 2.6.32-14-generic-pae (with expected warnings).

I tried creating a new initrd image with the same result (kernel panic) as with
the initrd from the repos (initrd.img-2.6.31-16-generic-pae)

So I think this bug is related to genrating the initrd image.

/Jörgen

meow81 (whocares) wrote :

It's a big mess.
What we must to do? Three times wubi-kubuntu 9.10 reinstalled now kernel linux-image-2.6.31-14-generic and linux-image-2.6.31-16-generic WORKS and permit the boots . What we must do for the next linux-image-2.6.31-17-generic ?? Try and boot with the previous ..16 and then try to uninstall and reinstall the linux-image-2.6.31-17-generic ??? As written in this thread http://ubuntuforums.org/showthread.php?t=1317397&page=7 at #66 post ??
This is a fucking serious bug..

meow81 (whocares) wrote :

Last time i installed kubuntu with wubi inux-image-2.6.31-14-generic and 15 were working and 16 was not. Then i tried a command '' update-initramfs --ukall " and then all kernels became unbootable like inux-image-2.6.31-16-generic with error "kernel panic - not synching: VFS unable to mount root fs on unknown-block (8,2)".

meow81 (whocares) wrote :

Linux-image-2.6.31-14-generic *

Mark Abene (marcocinco) wrote :

Are people actually reading this whole thread, or just coming here to complain? "It's broke! Help me!" Seriously, people. The underlying problem behind these issues is with GRUB2. We've already discussed this at length. A workaround solution has been described in detail at least TWICE. If you know how to read and follow directions, you can create a separate /boot filesystem and recover your system. This is the last time I really feel like stating this. Go back and read this whole bug report and stop being lazy.

meow81 (whocares) wrote :

I'm not an expert of linux ,you must explain in simple words which commands (and where and how) we should use to repair unbootable kernels.

meow81 (whocares) wrote :

I don't understand in which post is explained the workaround solution ,i have read the whole thread but is difficult.

meow81 (whocares) wrote :

is this bug resolved in the current version of wubi? when will be resolved?

On Sun, Dec 6, 2009 at 5:30 PM, Mark Abene <email address hidden> wrote:

> Are people actually reading this whole thread, or just coming here to
> complain? "It's broke! Help me!" Seriously, people. The underlying
> problem behind these issues is with GRUB2. We've already discussed this
> at length. A workaround solution has been described in detail at least
> TWICE. If you know how to read and follow directions, you can create a
> separate /boot filesystem and recover your system. This is the last
> time I really feel like stating this. Go back and read this whole bug
> report and stop being lazy.
>
>
So how come it works with some kernels?
I agree that you have a temporary solution to the problem,
that in my opinion is not a proper solution and I think many of you agree!

I'm not certain that the problem lies in grub2, rather something related to
the initrd generation process.

--
Jörgen Lidholm
jorgen (.) lidholm (at) gmail (.) com

Mark... You are not helping, you are bulling people. Go away and cool down! If you want to help, find a proper solution because, for now, your "solution" sucks...

Mark Abene (marcocinco) wrote :

This thread has become completely absurd, and I'll no longer be checking it.
People who know how to read have already recovered their installs, so my work here is done.

Good day.

meow81 (whocares) wrote :

patch that wubi!!!!

meow81 (whocares) wrote :

hutty up! i don't want reinstall kubuntu anymore

meow81 (whocares) wrote :

Hurry*

HOWTO: a "workaround" (before a really fix to this bug is found)

FOR PEOPLE WHO ARE ABLE TO BOOT UBUNTU MANUALLY (see bellow)*

(1) Boot ubuntu manually and copy the file /boot/grub/grub.cfg to a pen
(2) Edit the file (in the pen) with a text editor and delete the menuentry for kernel -16 and -15, (this was tested with kernel -14 only)
(3) Boot windows and copy that file to the root of disk c
(4) Boot ubuntu until you get the grub prompt (press c if you see the menu)
(5) Enter the command ls -l (you must see the disks and partitions, usually something like (loop0), (hd0,1), (hd0,2), ...)
(6) Find where grub.cfg is, with the command cat (hdX,Y)/grub.cfg for X=0,1,... and Y=1,2,... (usually is in (hd0,1))
(7) Enter configfile (hd0,1)/grub.cfg (replace (hd0,1) with what you fund in (6)!)

You must see the grub menu and choose as usual...

Each time you boot, you must enter (7) (not too bad!)

Only one more thing (just for sure), make a copy of initrd.img-2.6.31-14-generic and keep it together with the copy of grub.cfg, because if you, or the system, updates the initrd's (update-initramfs) then the system will not boot!!!

NOTE:
(A) If you don't have kernel -14 and the system worked fine before with kernel -15, please use that instead of kernel -14.
(B) As you can see, the problem is not one of corruption or bad configuration of file grub.cfg, it is much worse, grub(?) completely scrambles the content of many files inside root.disk!!! You can use the command cat in grub to verify that.
(C) This is completely orthogonal to the boot process, if in the near future a solution is fund this doesn't interfere with normal boot process.

* HOWTO BOOT UBUNTU MANUALLY [works for most of the situations here]
At the grub prompt enter (if you don't get the grub prompt press c when you see the boot menu):

grub>linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk ro quiet splash
grub>initrd /boot/initrd.img-2.6.31-14-generic
grub>boot

(if it doesn't work, change sda1 to sda2 or sda3 or ...)

meow81 (whocares) wrote :

what do you mean with
"(7) Enter configfile (hd0,1)/grub.cfg (replace (hd0,1) with what you fund in (6)!) "???
What command is?

meow81 (whocares) wrote :

Now i understand, 'configfile' is a grub command,
note that windows 7 is (hd0,2) and sda2 because 0,1 / sda1 is a special partition created by windows 7 for itself.

meow81 (whocares) wrote :

The pen is not needed , you can copy files from ubuntu to /host/ folder that is windows folder in wubi ubuntu , you can fast backup of grub.cfg and of initrd.img-2.6.31-15-generic .

Yes, you must do step (6) to find out where windows is...

#137 ... that it is only true in some installations... but you are right, for most of the cases you can do as in #137. Anyway, I advise to put grub.cfg in the root of the windows system partition (usually c:\).

meow81 (whocares) wrote :

If all kernels become unbootable how will can do to copy initrd.img-2.6.31-16-generic from backup folder to wubi-linux virtual disk? how can access to wubi virtual disk from live cd? what commands i should use?

If all kernels become unbootable and you don't have a initrd for your system, then you are in a deep sh... that is why I advise to copy it to c:\. But you can use Live CD to access your files in the root.disk.This is how:

Boot from the Live CD and at a terminal prompt, enter:
(1) sudo mkdir /win
(2) sudo mount /dev/sda1 /win (in your case should be sda2)
(3) sudo mkdir /vdisk
(4) sudo mount -o loop /win/ubuntu/disks/root.disk /vdisk

E Voilá! You have the root.disk in /vdisk and the windows disk in /win. Now you can copy your precious files to windows, and reinstall Wubi!

meow81 (whocares) wrote :

Only 'grub.cfg' and 'initrd.img-2.6.31-1*-generic' become corrupted when that error occour? "kernel panic - not synching: VFS unable to mount root fs on unknown-block (8,2)" (and this error needs hard reboot)

It isn't a problem of corruption...

These files are "compiled" when the system installs a new kernel or you enter an update-grub command. It seems (?) that initrd* is not "properly compiled" but grub.cfg is... anyway when the system restarts, grub doesn't find the content of these files [you can see this by enter cat /boot/grub/grub.cfg at the grub prompt, and you could try the cat command with other files, some will display ok, but many they will display the content of other files!!! Maybe grub doesn't load some necessary module, I don't know, but this only happens with files inside root.disk.] That why the "solutions" for this problem all involve to put /boot outside root.disk or at least grub.cfg.

meow81 (whocares) wrote :

only those 2 files 'grub.cfg' and 'initrd.img-2.6.31-1*-generic' are modified when system installs new kernels or user enters 'update grub-command' ora 'update initramfs --ukall' ?? Can we do a backup of all files inside /boot/ ?

abi-2.6.31-14-generic
config-2.6.31-14-generic
memtest86+.bin
System.map-2.6.31-14-generic
vmcoreinfo-2.6.31-14-generic
vmlinuz-2.6.31-14-generic

-- A RECAP --------------------------------------

HOWTO: a "workaround" (before a really fix to this bug is found)

(1) Boot ubuntu manually [FOR PEOPLE WHO ARE NOT ABLE TO BOOT UBUNTU MANUALLY (see bellow)*]
(2) Check if /host is your windows directory (use Nautilus (the file manager!) and see):
    (2.1) YES: enter (at terminal) sudo cp /boot/grub/grub.cfg /host
    (2.2) NO: open Nautilus and find in what disk windows is. Then copy /boot/grub/grub.cfg to the root of that disk.
(3) Edit the grub.cfg (in the new location) with a text editor and delete the menuentry for kernel -16 and -15, (this was tested with kernel -14 only)
(4) Boot ubuntu until you get the grub prompt (press c if you see the menu)
(5) Enter the command ls -l (you must see the disks and partitions, usually something like (loop0), (hd0,1), (hd0,2), ...)
(6) Find where grub.cfg is, with the command cat (hdX,Y)/grub.cfg for X=0,1,... and Y=1,2,... (usually is in (hd0,1))
(7) Enter configfile (hd0,1)/grub.cfg (replace (hd0,1) with what you fund in (6)!)

You must see the grub menu and choose as usual...

Each time you boot, you must enter (7) (not too bad!)

Only one more thing (just for sure), make a copy of initrd.img-2.6.31-14-generic and keep it together with the copy of grub.cfg, because if you, or the system, updates the initrd's (update-initramfs) then the system will not boot, not even with the -14 kernel!!!

NOTE:
(A) If you don't have kernel -14 and the system worked fine before with kernel -15, please use that instead of kernel -14.
(B) As you can see, the problem is not one of corruption or bad configuration of file grub.cfg, it is much worse, grub(?) completely scrambles the content of many files inside root.disk!!! You can use the command cat in grub to verify that.
(C) This is completely orthogonal to the boot process, if in the near future a solution is fund this doesn't interfere with the normal boot process.

* HOWTO BOOT UBUNTU MANUALLY [works for most of the situations here]
At the grub prompt enter (if you don't get the grub prompt press c when you see the boot menu):

grub>linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk ro quiet splash
grub>initrd /boot/initrd.img-2.6.31-14-generic
grub>boot

(if it doesn't work, change sda1 to sda2 or sda3 or ...)

** THIS DIDN'T WORK FOR ME! ALL I WANT ARE MY FILES...

Boot from the Live CD and at a terminal prompt, enter:
(1) sudo mkdir /win
(2) sudo mount /dev/sda1 /win (in your case should be sda2)
(3) sudo mkdir /vdisk
(4) sudo mount -o loop /win/ubuntu/disks/root.disk /vdisk

Et Voilá! You have the root.disk in /vdisk and the windows disk in /win. Now you can copy your precious files to windows, and reinstall Wubi!

*** I WANT TO TRY ANOTHER SOLUTION
Read entries #69 and #70 of this forum.

meow81 #144... Yes you can backup all these files.

meow81 (whocares) wrote :

Why don't you use also these lines to boot ubuntu manually before 'linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk ro quiet splash' ??

        insmod ntfs
 set root=(hd0,2)
 search --no-floppy --fs-uuid --set 18f86825f868037c
 loopback loop0 /ubuntu/disks/root.disk
 set root=(loop0)

Because grub was able to "figured out" that information, but in general you have to indicate grub that info for proper handling of the disks.

A SIMPLER "SOLUTION":

Enter at terminal:
(1) sudo update-grub
(2) sudo cp -r /boot /host
(3) nano /host/boot/grub/grub.cfg
(and change the line initrd /boot/initrd.img-2.6.31-16-generic to initrd (hd0,1)/boot/initrd.img-2.6.31-16-generic [adapt to your case (h0,1) should be (hd0,2) in many cases, is the drive and partition where the ubuntu/disks/root.disk is]
(4) Ctrl X then Y
(5) Restart and at the grub prompt configfile (hd0,1)/boot/grub/grub.cfg (adapt (hd...)!)

And surprise! Booting and kernel -16 working. I made some testes and all the problems come from grub (?) not been able to read properly from root.disk!

meow81 (whocares) wrote :

we will try at the next kernel -17 i have fear, fix that wubi!

Electron (pcedb0189) wrote :

Mr Abene :

     Sorry for troubling you, I trust you are right and the solution will work.

     But something different with us.

     1. you just tell some simple action, but most people lack of the knowledge of linux and not know how to handle the command, I am in that kind.

     2. in your solution , is that fix the root.disk which belong to the original Ubuntu OS or made a new boot way for the Ubuntu?
      It's a problem!

      Because many one didn't install the Ubuntu in the C: most in the D: E: F: and they not familiar with the command, they don't know how to use that when they install the Ubuntu in D or F . for example me!

     3. Then we must to fix the Grub but how to do. there has lots of word, but nothing is the most clear, we are confused.

     4. what's use of the boot.disk?
              fix the root.disk?
              replace the boot function of root.disk?
              or use just once?
         In Virtualbox how to make a root.disk like you said?

     So I suggest

     1. why not upload a little boot.disk it will not be very big, 4M or 6M is OK
     2. why not zip a package of the grub maybe it's not hard
     3. why not give the some picture for the action, it will be great.

     We know we must know how to use the command, but the goal of the Ubuntu is to make the OS easy to use ,not make it complex!

     I believe this bug needn't reinstall, hope for your answer.

     And I am from China , English is sucked ,please forgive me the mistake in my word.

meow81 (whocares) wrote :

wubi developers must fix it as soon as possible

Manish (manishsk) wrote :

Guys wait for the solution to come out.

For now start your PC with the help of Post # 145.
Mark has also given his solution but its a workaround not the solution. Grub2 must be updated so that it can read the root.disk file correctly and get the grub.cfg file from (inside) the root.disk file. But for now its not happening.

So somehow get you grub.cfg out from the root.disk using live cd and put on your d: e: and use the configfile command to load as usual.

We have to wait till the update is available.

The problem is now identified, grub2 in some cases recognizes loop0 as an ext2 when is an ext4 (and so it is unable to read it properly)! But is strange how it is taken so much time to find a solution... So stay with #145 or #149 and wait.

gissi (zerinol) wrote :

tonight new kernel upgrade. Just to try something different (than re-install) I tried this: installed the upgraded kernel from synaptic. After that but before rebooting, I installed grub 0.97 deleting completely grub2. Than (also before restarting) I reinstalled grub2 (deletin grub 0.97) configuring with the graphical interface (I left all as default). Afterwords I rebooted and......it works. Does it make sense or it's just luck????

gissi (zerinol) wrote :

I thought as follows (I am no informatic expert at all): when you upgrade the kernel the system fails to reboot. Notwithstanding, if you reinstall and the first you do is run aptitude-update, aptitude-upgrade (on clean install whit wubi) all works and system reboots without problems. I was wandering why? My answer was that on a clean install, system needs to upgrade no only the kernel but also grub (from beta3 which is included in the iso to the beta4) and the grub upgrade takes place only after kernel upgrade. So, my logical (not technical) conclusion is that grub upgrade after kernel upgrade permits upgrade kernel and reboot normally. Therefore I tried to do it manually after installing kernel update (.....16-53 generic) and I am writing this post from the rebooted system (I didi it 2 times)!!! Really I don't know if it's been a casuality. I will keep trying. Hope this can help.

meow81 (whocares) wrote :

kernel panic message is happened to me even after 'sudo update-grub2' command and then restart

gissi (zerinol) wrote :

#157 what I did is: in synaptic install grub (version 0,97). This eliminated grub 2 (it asks you have to say yes). Than in synaptic install grub-pc and follow the instruction (say yes to all). (all this after upgrade the kernel but before reboot).

moronic (danni-otterbach) wrote :

alright, i just deleted the newer kernels through synaptics, and then made a update-grub2. works fine now, but i don't know how it reacts to updates..

Dear Fellows YOU ARE WASTING YOUR TIME by deleting kernels, reinstalling grub or wubi... and confusing the people with less experience. The problem has been identified (see #154) an SEVERAL WORKAROUNDS have been found... .

[IF YOU DON'T KNOW HOW TO BOOT MANUALLY IN UBUNTU see #145]

WORKAROUND - 1 (copy /boot to /host/boot - with this you putting /boot out of root.disk at boot time)
(1) sudo update-grub
(2) sudo cp -r /boot /host
(3) nano /host/boot/grub/grub.cfg
(and change all the lines with /boot/... (hd0,1)/boot/... [adapt to your case (h0,1) should be (hd0,2) in many cases, is the drive and partition where the ubuntu/disks/root.disk is (see #145)]
(4) Ctrl X then Y
(5) sudo cp -r /host/boot /host/ubuntu/install
(6) Then restart the system and you will be able to boot "as usual" (with the new kernels, ... )
(7) Each time the system updates kernels or grub give a try

give it a try and don't do nothing... reboot and if all goes well something has (finally) done his work and you can forget this thing, if not you must redo the all thing.

WORKAROUND - 2 (read the entries of Mark Abene).

Manish (manishsk) wrote :

Just to confirm #160 works!

Even after updating with 2.6.31-16.53 update, the problem was not solved but #160 is at least giving me a feeling of normal boot.
Thanks alexlinux.

I have removed grub-pc. Should I install it or wait for update?

Jrd (jaredr+ubuntu) wrote :

looking at my (hd0,1)/ubuntu/winboot/wubildr.cfg, it appears that a config file is looked for in the windows drive at /ubuntu/install/boot/grub/grub.cfg before the loopback mount is checked. So all I had to do was copy my grub.cfg to my windows drive in that location (creating the necessary directories below "install"). Combine this with #145, and I'm now able to boot without having to manually specify a config file on each boot.

The downside, of course, is that it won't automatically pick up new kernels as they are installed, but since newer kernels are having the VFS panic, this is actually a feature for me. Of course, if you do this, make sure you remove the copied over config file once the other bug has been fixed, 'cuz at some point you will want those newer kernels...

jrd... look to #160 for an improved solution that uses the new kernels (as a said above, the problem is not with the new kernels)! And if ubuntu keeps with the same process of the last kernel updates, the directory ubuntu/install/boot/grub will be updated or the files will be deleted in the new update. In this way, if after an update the system boots ok then the problem has been solved and you don't have to nothing to return to the "normal way" of booting.

meow81 (whocares) wrote :

We can wait for bug fix and without install updates like new kernels until April 2010 when will go out ne version of kubuntu 10.4 Lucid Lynx .
How to disable the email notify when a new comment is posted here?

meow81 (whocares) wrote :

And then remove wubi uninstalled it from windows and then reinstall new kubuntu Lucid.

meow81 (whocares) wrote :

new kubuntu and reinstall new version of wubi with bugs fixed.

meow81 (whocares) wrote :

because for have the new version of ubuntu is reccomended reinstall from empty partition and no update/upgrade distro ubuntu.

Electron (pcedb0189) wrote :

To Alex

I know the #69 and #70 is the right solution.

but the most important part what you think is easy but is hard for us, could you describe more detailed?

In my understanding,

  1) use a livecd and make a boot.disk in C:

  2) copy the kernel to the boot.disk

  3) copy the grub.cfg the C:

  4) use the boot.disk into a terminal and update grub2

  5) then do as alex said.

   but the problem in the 2)

   copy the kernel from the root.disk in my hard driver or from the LiveCD ? This step stack me! when I use the command of copy , system tell me there is no the file!

    could you give some clear and directly command ? maybe for you that's do by hand, but will confuse us!

Electron - In post #104, I listed each step that I used to implement Mark Abene's fix (#69 & #70) on my system where /dev/sda is the boot drive and /dev/sda1 is the partition containing the Windows XP system. That post might be what you are looking for. Be sure to study the man pages to become familiar with any commands that are new to you.

Step 2) where you "copy the kernel to the boot.disk" may be seem strange if you are not clear on what the "mount -o loop,rw ..." instruction does. I cannot easily explain it here, but you should be able to find some good explanations in Chinese on the Internet.

Electron (pcedb0189) wrote :

To Craig Van Degrift and alex and mark

thanks Again, I will try again.

why we can't find some official statement for that?

meow81 (whocares) wrote :

We need the right bug fixes! not those palliatives/stop gaps. Fix that wubi!

meow81 (whocares) wrote :

How to disable the email notify when a new comment is posted here?

maihacke (simon-spielmann) wrote :

Just a short notice.
phcoder wrote in #477104 in Comment #77, that he committed a fix for grubs ntfs.mod.
Hopefully that ends this discussion here.

meow81 (whocares) wrote :

maihacke that is not wubi related

meow81 (whocares) wrote :

or at least is not related to 'kernel panic - not synching : VFS' error

ROB3RT (rob3rt) wrote :

I'd just like to add that I had this bug too. I was updating to 10.04 Alpha via Wubi, and the installer froze, and auto-restarted getting a kernel panic. Quite annoying, but I'm glad that a fix has been committed.

meow81 (whocares) wrote :

For summarize: when do a kernel update wubi can't reads anymore boot files in virtual disk of the new kernel, so all /boot/ folder must be copied in other place in windows partition and modify grub to read to new location ( c:\boot\ in windows partition)
so new modify must be:

linux (hd0,2)/boot/vmlinuz-2.6.31-16-generic root=/dev/sda2 loop=/ubuntu/disks/root.disk ro quiet splash
initrd (hd0,2)/boot/initrd.img-2.6.31-16-generic

(i have windows partition on 0,2 / sda2 ) with the new (hd0,2) before /boot/

and from the grub type 'c' for console, then type
configfile (hd0,2)/boot/grub/grub.cfg

with american layout keyboard.......

meow81 (whocares) wrote :

linux (hd0,2)/boot/vmlinuz-2.6.31-16-generic root=/dev/sda2 loop=/ubuntu/disks/root.disk ro quiet splash
initrd (hd0,2)/boot/initrd.img-2.6.31-16-generic

these lines must be modified in (hd0,2)/boot/grub/grub.cfg

meow81 (whocares) wrote :

menuentry "Ubuntu, Linux 2.6.31-16-generic" {
 insmod ntfs
 set root=(hd0,2)
 search --no-floppy --fs-uuid --set 18f86825f868037c
 loopback loop0 /ubuntu/disks/root.disk
 set root=(loop0)
 linux (hd0,2)/boot2/vmlinuz-2.6.31-16-generic root=/dev/sda2 loop=/ubuntu/disks/root.disk ro quiet splash
 initrd (hd0,2)/boot2/initrd.img-2.6.31-16-generic

the part before those 2 lines remains the same as before..

spesa (rlavanchy) wrote :

For all comments I see here, it looks quit clear that wubi is a good tool for previewing Ubuntu within Windows but certainly not stable/mature enough to run Ubuntu in production mode.

As for me, I ran into trouble with Ubi every time I installed updates, same troubles as those here above.
My Ubuntu crashed down 30 minutes ago, all in a sudden while I was simply browsing internet using Seamonkey. I did not perform any updates right before. The whole system freezed. I had to reboot manually my laptop. When I restarted and selected Ubuntu in the boot menu, I saw the message "no wubimbr"... it is displayed a fraction of second, so not totally sure to reproduce the exact wording... anyway, right after this message is displayed, I face a wonderful shell prompt...

So to me it is clear: WELCOME Ubuntu, BYE BYE Wubi.

meow81 (whocares) wrote :

You better defrag windows ,download ubuntu/kubuntu/xubuntu iso (x86 or x64) 9.10 , burn iso image to a cdr, restart windows at boot hit 'del' (ora canc) key for bios then change boot priority option to 1st cdrom 2nd hard disk 3rd removable device, save bios and exit. Boot with ubuntu cdrom and install ubuntu from LiveCd, choose ubuntu partition size and continue setup continue to answer to setup questions and troubleshooting ,at next restart restore boot priority option to 1st removable dev 2nd hard disk 3rd cdrom then save and exit and choose ubuntu from grub there you have ubuntu without wubi.

meow81 (whocares) wrote :

uninstall wubi/ubuntu from windows before. and then choose normal installation from live cd, not the alternate.

meow81 (whocares) wrote :

when wil be fixed wubi??

gissi (zerinol) wrote :

Any progress in fixing the bug?

meow81 (whocares) wrote :

If was in windows7 so serious bug would have been fixed immediately !!!!!! but linux ha 100 users in the world

meow81 (whocares) wrote :

has*

meow81 (whocares) wrote :

and wubi has 11 users

Eva Drud (eva-drud) wrote :

meow81: Could you *please* stop spamming? You don't need to ask several times a day when this bug will be fixed.

meow81 (whocares) wrote :

wubi is crap!!!!! fix it again till linux loses many users those 100 users remained

jammanuser (jamman647) wrote :

meow81: Dude, shut the fuck up and try some patience already! As all developers know, it takes TIME to resolve any bug in software. Bitching about it wont get it fixed any faster. Wubi is freeware, meaning it costs you nothing to use, so if you don't want to use it, go fuck yourself and don't use it then. NO ONE's making you use it. Either shut up, and wait patiently, or help resolve the problem by providing any information that may help the developers resolve the bug.

Dumbass, wanker...you stupid fuck. If you want to pay for software that doesn't work half the time, what with BSODs and everything, use Windows.

gissi (zerinol) wrote :

jammanuser. Ok, but don't get so angry. I agree with you but you have to admit that this bug had an abnormal delay to get assaigned and still it's not been defined "critical" (I think it's solution is absolutely urgent).

meow81. Be patient. Don't switch to microsoft. It's even worse.

meow81 (whocares) wrote :

if it's not been defined critical we may get stuck with the same kernel and grub without updating them for months or for years until the developers find how fix wubi lol

Agostino Russo (ago) wrote :

Please see if the new wubildr in https://bugs.edge.launchpad.net/ubuntu/+source/grub2/+bug/477104/comments/90 fixes this issue.

Agostino Russo (ago) wrote :

Please make sure that when you boot the line "insmod ntfs" is commented out or disable it by pressing "e" at the grub boot menu and edit the entry before proceeding.

meow81 (whocares) wrote :

i will try but i i must wait for next kernel update vmlinuz-2.6.31-17-generic not yet come in kubuntu updater

meow81 (whocares) wrote :

that is the patched file , where is the patch?

gissi (zerinol) wrote :

Thanks. Just a question: to desable "insmod ntfs" may I edit the file and put # before the line?

meow81 (whocares) wrote :

right gissi the # symbol before line ,edit file /boot/grub/grub.cfg

Agostino Russo (ago) wrote :

Meow81, the patch is the one mentioned in https://bugs.edge.launchpad.net/ubuntu/+source/grub2/+bug/477104/comments/77
Which in turns refers to this grub/trunk patch:

revno: 1927
committer: Vladimir 'phcoder' Serbinenko <email address hidden> branch nick: mainline
timestamp: Thu 2009-12-10 14:45:00 +0100
message:
  2009-12-10 Vladimir Serbinenko <email address hidden>

   Eliminate NTFS 4Gib barrier.

All I did was apply this patch to ubuntu grub, and regenerate wubildr. The reason you need to disable `insmod ntfs` is that the new wubildr will contain the updated grub ntfs driver which could be overridden by the old one on your disk, thus invalidating the patch.

meow81 (whocares) wrote :

someone says if it works, i must wait for new kernel update in kubuntu

gissi (zerinol) wrote :

Agostino, new wubi installation contains new wubildir by default?

meow81 (whocares) wrote :

they don't have applied any patch yet to wubi.exe

meow81 (whocares) wrote :

isn't there kernel vmlinuz-2.6.31-17-generic in kubuntu 9.10's updates ? do u have it?

meow81 (whocares) wrote :

in KPackagemanager

meow81 (whocares) wrote :

hurry up! it's a serious bug ,answer me

meow81 (whocares) wrote :

kpackagekit

meow81 (whocares) wrote :

which version of kernel do you have in kubuntu ?

As a workaround, maybe we could install grub on a USB key and tell him to boot the wubi installation ?

Agostino Russo (ago) wrote :

For a patch/workaround:

A) get the wubildr in https://bugs.edge.launchpad.net/ubuntu/+source/grub2/+bug/477104/comments/90 and copy it over C:\wubildr
B) ensure that when you boot there is no command "insmod ntfs". Press "e" at the grub boot menu to edit the relevant entry and remove "insmod ntfs" before proceeding

New ubuntu/wubi installations do not contain the patch yet. The patch will only be applied once there is a clear confirmation (from you) that it actually solves the problem. Hence your feedback is appreciated.

Sage Ross (ragesoss) wrote :

Agostino #210, I'm about to try your patch. For background, I installed wubi 9.10 on Windows 7 Starter a few weeks ago, and just did an update that caused the kernel panic bug tonight. However, the boot process gives me the option of booting an older kernel (.14 rather than .16 which panics) so I've still been able to boot Ubuntu.

I've downloaded your new wubildr file and replaced it in the /host folder. (I renamed the old one wubildr.oldversion) I notice there is also a wubildr file in /host/ubuntu/winboot, which I haven't changed. Here it goes...

Sage Ross (ragesoss) wrote :

Okay, I added the new wubildr file, removed the "insmod ntfs" during the boot process, and booted the default .16 kernel which had been panicking. There was no panic this time. So it appears to have worked.

What do I do now? Was that "insmod ntfs" line important for anything? Will I have to do anything special once further updates come along to undo that manual patch and replace it with the official patch?

Thanks for working on this. Hopefully it will work for some of these people who are in danger of losing their whole installations.

Agostino #210: it worked for me, without removing the "insmod ntfs" line. Kernel -16, if that's relevant. Many thanks for the fix!

Sage Ross (ragesoss) wrote :

Just to follow up, I've now rebooted again and it still works (without any need to intervene in the boot process). If there's any more information I can provide that will help move the fix along, please email me.

meow81 (whocares) wrote :

 /host/ubuntu/winboot/wubildr
what we must do with this file? keep it or replace with new one?
/host/ubuntu/winboot/wubildr

Dear Agostino,

 after labouring for weeks now with a wubi installation on a asus eeepc via usb-Stick and very often being forced to boot via the grub-console, giving basically every comment in this thread a try, I am now the first time booted into kernel -16!! So it seems to work, thank you very much for Your patient research on this topic!!
I followed finally your comment 210!

Regards Wolfgang

pidru (peter-roque) wrote :

Just would like to confirm that patch (wubildr) works on my Windows XP/Kubuntu Karmic kernel -.16. I just replaced the wubildr file on my c drive and rebooted with no problem. Initially, I got the "Kernel Panic.." error after the updates this morning.

Many thanks to Agostino and the team who work on this!

Regards,
Pidru

Works for me also. I undid the Abene workaround that I had been using, and used the new wubildr to booted a few times without difficulty. I already had the -16 kernel installed, however, so I was not testing after a new update. I did muck around quite a bit with /boot and /boot/grub/ and used update-grub and grub-install without difficulty. As noted in #213, removing the insmod ntfs did not seem necessary.

Thanks to all who have worked to make Ubuntu, GRUB, and wubi work together.

Wubi fix works!

Dell Latitude D510
windows xp + wubi

meow81 (whocares) wrote :

agostino do you have fixed wubi?

rockfx01 (tim-filmchicago) wrote :

@Agostino #210

Works for me also. I did not have to comment out the "insmod ntfs", it booted straight away without commenting it out.

HP dv7-1157CL
Windows Vista 64-bit + wubi 9.10 64-bit

andratha (andratha) wrote :

The patch (#210) works for me too, on a Thinkpad T43 with Windows XP mui / wubi 9.10. I didn`t comment out insmod ntfs either.

Grazie Agostino e buon Natale

andratha (andratha) wrote :

Same success on my desktop, an AMD Athlon 64 with Windows XP Pro SP3 Greek / Windows XP Home Deutsch / Ubuntu (wubi) 9.10.

Thanks again

AJenbo (ajenbo) wrote :

I just updated the linux kernel on two wubi systems, one works just fine with no issues, the other fails with this error :(

The fix works on my system: WinXpPro + wubi on a Dell Latitude D510. Deleted "insmod ntfs" command.
Thank you !

Mario

meow81 (whocares) wrote :

Agostino when you will fix wubi ?

zwn (zwn) wrote :

The fix from comment #210 apparently works (it worked for me too, thanks). Is there any package updates that I need to avoid in order not to break it again? I was also thinking about installing grub to mbr because that would allow me to hide the boot menu unless Ctrl is pressed. Do I need an updated version of grub as well for this?

meow81 (whocares) wrote :

when will be available the next kernel version linux-image-2.6.31-17-generic ?

Confirming result of wubildr patch - .16 kernal boots without any further issues. Did not need to ferk around with insmod.

Thanx to all who helped out via this thread and elsewhere.

Is it now safe to take further upgrades?

Ricky Han (hzgdiyer) wrote :

This patch worked for me with removing the "insmod ntfs" line.
WinXP + wubi on Thinkpad R400.
Thanks so much!

BW (bwbiztemp) wrote :

Fix in #210 (Patch from #90) worked for me on HP Pavilion w/ Athlon 64 3800+ and nVidia GeForce 6150LE, w/ proprietary drivers; windows version is XP Media Center 2005, Ubuntu is 64-bit (new install, upgraded 2.6.31-14 to 2.6.31-16, only 14 would boot after the upgrade). All kernels boot correctly now.

Did not remove insmod ntfs lines.

Thanks a bunch!

[er, I presume this is the correct place to report patch success, despite the duplicate warning?]

Rupert Ford (rupert-w-ford) wrote :

Fix in #210 worked for me.
I deleted the insmod ntfs line as suggested.
I'm running Vista on a Dell XPSM1210 for my sins
Many thanks

Centaur (centaure) wrote :

Had the same problem after performing a ubuntu update. Fix in #210 worked for me. Note that I did not need to perform the steps indicated in B) (i.e. B) ensure that when you boot there is no command "insmod ntfs". Press "e" at the grub boot menu to edit the relevant entry and remove "insmod ntfs" before proceeding).

Thanks!

meow81 (whocares) wrote :

Now i can say that it works #210 method with the new updated kernel linux-image-2.6.31-17-generic amd64 in kubuntu karmic ,with insmod ntfs disabled, thank you.

meow81 (whocares) wrote :

installed : linux-image-2.6.31-17-generic, linux-headers-2.6.31-17, linux-headers-2.6.31-17-generic, linux-image-2.6.31-17-generic, linux-headers-2.6.31-17, linux-headers-2.6.31-17-generic
updated: linux-generic, linux-image-generic, linux-headers-generic, linux-libc-dev, linux-image-generic, linux-generic,
linux-headers-generic, linux-libc-dev

Installed the new wubildr, no need to remove the insmod ntfs, and -17 boots fine now.

It would be nice to provide a patch installer for Windows users and give a link on it from a place where non expert users can find easily.

Sébastien,

Amen to your prayer.

I salute the industry of Ubuntu developers and followers, but these
corrupting, recommended updates and upgrades are driving me to the
realization Ubuntu should not yet be in the public domain.

Like me, you have read that we should install Ubuntu straight in, that
is, avoid Wubi. A straight install displaces the Windows boot loader,
however. We would be dependent on GRUB to boot both OS. What are we to
do after the next GRUB or Linux kernel update, when GRUB fails to boot
Ubuntu /and/ Windows?

Exactly whose assurance am I, a programming neophyte, to accept that
GRUB is invulnerable to update subversion when integrated into a
straight Ubuntu install, be my external file system NTFS or no, be my
Ubuntu partition above or below 4 GIG? I detect no plainly trustworthy
Ubuntu authority. Rather, it is distributed over an ad hoc network of
volunteers.

Is like a leaderless, silent Quaker Meeting. Ubuntu is nearly as
inscrutable and amorphous. Is certainly better that Boeing produced my
777.

James Liebert
Akron, Ohio

On 2010-01-09 07:34, Sébastien GRIPON wrote:
> *** This bug is a duplicate of bug 477104 ***
> https://bugs.launchpad.net/bugs/477104
>
> It would be nice to provide a patch installer for Windows users and give
> a link on it from a place where non expert users can find easily.
>

Nico (ncornelisse3) wrote :

I can't find wubildr in C:\
There is a wubildr in Data/ubuntu/winboot which I have replaced, but it doesn't help.

Where can I find the right wubildr to replace?

sureau (heyeokah) wrote :

I am a newbie and really did not wish to mess with wubi/winblows so I have done this (found after days of searching so to whoever wrote it, many thanks) and it worked for me:

sh:grub>insmod ntfs
sh:grub>set root=(hd0,1)
sh:grub>loopback loop0 /ubuntu/disks/root.disk
sh:grub>set root=(loop0)
sh:grub>linux /boot/vmlinuz-2.6.31-17-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk ro
sh:grub>initrd /boot/initrd.img-2.6.31-17-generic
sh:grub>boot

Once booted I went into terminal and did this:
sudo update-grub

No problems booting anymore.

This looks like an imaginative adaptation of the code underlying the
GRUB Menu. I surely will save it.

You allude to a grave problem, however, the time it took to find the
solution. Distributive responsibility for writing patches is the
egalitarian approach, but we (Gomer) end-users have no basis for
authenticating proposals, except long exposure to those who propose.
Are they not free to come or go, those who propose?

I think Ubuntu needs a central committee. I think with a central
committee there would not have been need of this fix in the first place.

James Liebert
Akron, Ohio, US

On 01/19/2010 01:01 AM, sureau wrote:
> *** This bug is a duplicate of bug 477104 ***
> https://bugs.launchpad.net/bugs/477104
>
> I am a newbie and really did not wish to mess with wubi/winblows so I
> have done this (found after days of searching so to whoever wrote it,
> many thanks) and it worked for me:
>
> sh:grub>insmod ntfs
> sh:grub>set root=(hd0,1)
> sh:grub>loopback loop0 /ubuntu/disks/root.disk
> sh:grub>set root=(loop0)
> sh:grub>linux /boot/vmlinuz-2.6.31-17-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk ro
> sh:grub>initrd /boot/initrd.img-2.6.31-17-generic
> sh:grub>boot
>

Wubi patch and step A only worked for me on friend's HP laptop.

khaynes (hayneskr) wrote :

Wubi patch and step A only worked for me as well! Cheers!

Wubi patch and step (A) worked fine on my Ubuntu 9.10 dual boot (Vista) installation on the DELL XPS M1330. Thanks!

rod_w_morris (rod-w-morris) wrote :

Wubi patch and step A worked for me. Thanks!

Florian (soare-florian) wrote :

I have downloaded wubildir from here: https://bugs.edge.launchpad.net/ubuntu/+source/grub2/+bug/477104/comments/90 and worked like a charm....

Eric (eric-pub) wrote :

I had the boot error "You need to load the kernel first" after an ubuntu update.
Applied the path on #90 (only step A) and now it works.
Thanx

gloriphobia (gloriphobia) wrote :

Using Wubi, Windows Ubuntu Installer on an XP professional Latitude Dell D630. After installing some updates and being prompted to restart I found myself looking into the ugly face of:

GNU GRUB version 197(squiggle)beta4
[Minimal BASH-like line editing is supported. For first word, TAB lists possible command completions. Anywhere else TAB lists possible device/file completions]

sh:grub>

I got various "no loaded kernel" or "no kernel found" errors when I tried anything. I then went back over to windows searched various forums to find help at: https://help.ubuntu.com/community/Grub2#Rescue%20mode

I followed the steps 1-5 just fine:

1. ls
2. set prefix=(hdX,Y)/boot/grub
3. set root=(loop0)
4. set
5. ls /boot

with X = 0, Y = 1 but then at step

6. insmod /boot/grub/linux.mod

I got the error "file not found"

I continued however

7. linux /vmlinuz root=/dev/sd01 loop=/ubuntu/disks/root/disk ro

You may notice that I actually made a mistake here, it should've been sda1 instead of sd01...

8. initrd /initrd.img

9. boot

And then an error: "VFS: cannot open root device 'sd01' or unknown-block(0,0)" followed by a list of other drives, then the error noted by others on this forum
"Kernel Panic - not syncying: VFS: Unable to mount root fs on unknown-block(0,0)" etc.

but then I replaced C:\wubibldr by the one suggested in comment 10 and then booted up (it worked without deleting insmod ntfs). but then ubuntu seemed to freeze, so I rebooted and deleted the insmod ntfs - and it all seems to be working now, I'm writing this from ubuntu.

One thing which I did notice which was odd, was when I was in Windows immediately after the problem started, was a large section of my hard drive taken up by space reserved for MFT, which I had never noticed before... (I only noticed this because I had opened up defraggler) maybe it was related, maybe not, I'll check back in windows to see if it has gone now that I have seemingly resolved the problem - with your help, Agostino Russo.

Thanks guys.

#210 worked for me on kernel -19

ggg1 (cgcoss) wrote :

i have followed all instructions. replaced wubildr, update-grub2. i have reinstalled grub2 and updated from the karmic proposed.

nevertheless, every time i boot, i get the grub menu.

from there i am able to boot using:

linux /boot/vm...-17... root=/dev/sda1 loop=/ubuntu/disks/root.disk ro
initrd /boot/initrd.....-17...
boot

i do not know what else to do.

note: it was suggested to disable insmod ntfs by pressing e at the grub menu. i was not able to do that as pressing e while i see windows and ubuntu will not do anything. and selecting ubuntu goes into the grub console immidiately and i cant press e.

any ideas?

thanks

vvCephei (vvceph) wrote :

@ Agostino #210,

The patch worked for me; thanks!

Lenovo G550
Intel x86_64
Windows 7

Meoiswa (meoiswa) wrote :

EEE PC 1005HA with Windoze and Ubuntu via wubi. Failed to display Grub4DOS menu after updating a bunch (A BUNCH) of stuff.
Using the patched file didnt work at first. Reason was i was patching up the wrong file.
Newbies out there, Download the patched file and place it right on the root OF YOUR WINDOWS INSTALLATION PARTITION (AKA C:) NOT IN THE PARTITON YOU HAVE THE WUBI INSTALL.
(Capslock for ease of relevancy)
After doing so both -14 and -19 kernels booted perfectly.
Had no need to comment any line.
Please put this patched file in the Wubi release before more people have this terrible bug

Pascal Meillier (pmeillier) wrote :

Works fine with -20, without removing 'insmod ntfs'
thanks for the fix

Noel Scerri (nscerri) wrote :

@ Agostino #210,

The patch worked for me as well.

Thanks a lot. Much appreciated

Dell XPS M1330
Windows 7

hotswapster (hotswapster) wrote :

This did the trick magically. THANKS!!!

meow81 (whocares) wrote :

new wubi 10.4 is out, does the bug is also in this new version?

meow81 (whocares) wrote :

be careful when update (dist update) to kubuntu 10.4 lucid lynx you have to use Ctrl+c key combination when a repetitive line occours in terminal something about 'vmlinuz' to avoid it, and the update process will be completed successfully, this is a wubi issue.

meow81 (whocares) wrote :

i don't know why it says "no wubildr" after a grub upgrade before grub screen but the systems loads correctly !

peregrine (abrojos) wrote :

@ Agostino #210

The fix (within Windows, overwriting that one file in the root directory) also worked great for me.

Home-built AMD Sempron
Windows XP Pro

Thanks to all who contributed to this solution!

Joshua Hong (hetaowu) wrote :

To #210

Thank you. It works. My platform is Windows XP SP3 and my wubi version is 9.10.

But I only performed step A and skipped step B. And still, it works

Madmoose (desaad) wrote :

Hello,

When I got this problem with 9.10 installing the new file worked. Now, with 10.04, I have this issue again and installing the patch does not work. I always end up back in [Minimal BASH-like...] Is there an updated file for 10.04?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers